unit UAdd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TLiveInetAddClass = class(TForm)
    L_LProvname: TLabel;
    E_provideradd: TEdit;
    L_LFreq: TLabel;
    E_freqadd: TEdit;
    Label3: TLabel;
    L_LPol1: TLabel;
    E_poladd: TEdit;
    L_LPol2: TLabel;
    BB_Ok: TBitBtn;
    L_LSymb: TLabel;
    E_symbadd: TEdit;
    BB_Abort: TBitBtn;
    GB_DiSEqC: TGroupBox;
    CkB_DiSEqC: TCheckBox;
    GB_Burst: TGroupBox;
    RB_BurstOn: TRadioButton;
    RB_BurstOff: TRadioButton;
    GB_DiSEqC1: TGroupBox;
    P_opt: TPanel;
    RB_OptA: TRadioButton;
    RB_OptB: TRadioButton;
    P_pos: TPanel;
    RB_PosA: TRadioButton;
    RB_PosB: TRadioButton;
    E_PIDAdd: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    CbB_FECAdd: TComboBox;
    CbB_Format: TComboBox;
    E_cut: TEdit;
    procedure E_poladdChange(Sender: TObject);
    procedure BB_AbortClick(Sender: TObject);
    procedure BB_OkClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure E_freqaddKeyPress(Sender: TObject; var Key: Char);
    procedure E_symbaddKeyPress(Sender: TObject; var Key: Char);
    procedure CkB_DiSEqCClick(Sender: TObject);
    procedure RB_BurstOffClick(Sender: TObject);
    procedure RB_BurstOnClick(Sender: TObject);
    procedure RB_PosAClick(Sender: TObject);
    procedure RB_PosBClick(Sender: TObject);
    procedure RB_OptAClick(Sender: TObject);
    procedure RB_OptBClick(Sender: TObject);
    procedure E_PIDAddKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
    AddCaption,EditCaption,CustomName:String;
  end;

var
  LiveInetAddClass: TLiveInetAddClass;

implementation

uses ULiveInet, ULanguage;

{$R *.DFM}

procedure TLiveInetAddClass.E_poladdChange(Sender: TObject);
begin
  if (E_poladd.Text='h') or (E_poladd.Text='H') Then
    E_poladd.Text:='H'
   else
    if Length(E_poladd.Text)>0 Then E_poladd.Text:='V';
end;

procedure TLiveInetAddClass.BB_AbortClick(Sender: TObject);
begin
  Hide;
end;

procedure TLiveInetAddClass.BB_OkClick(Sender: TObject);
var s:String;
begin
  if CkB_DiSEqC.Checked Then
    Begin
      if RB_BurstOff.Checked Or RB_BurstOn.Checked Then
        Begin
          s:='1';
          if RB_BurstOff.Checked Then
            s:=s+'A' Else s:=s+'B';
        End
       Else
        Begin
          s:='2';
          if RB_PosA.Checked Then
            s:=s+'A' Else s:=s+'B';
          if RB_OptA.Checked Then
            s:=s+'A' Else s:=s+'B';
        End;
    End
   Else
    s:='0';
  if LiveInetClass.Param_Dialog=0 Then
    With LiveInetClass Do
      Begin
        CbB_provider.Items.Add(E_provideradd.Text);
        LB_freq.Items.Add(E_freqadd.Text);
        LB_pol.Items.Add(E_poladd.Text);
        LB_symb.Items.Add(E_symbadd.Text);
        LB_PID.Items.Add(E_PIDAdd.Text);
        LB_FEC.Items.Add(IntToStr(CbB_FECAdd.ItemIndex));
        LB_Format.Items.Add(IntToStr(CbB_Format.ItemIndex));
        LB_cut.Items.Add(E_cut.Text);
        LB_DiSEqC.Items.Add(s);
      End;
  if LiveInetClass.Param_Dialog=1 Then
    With LiveInetClass Do
      Begin
        CbB_provider.Items[CbB_provider.ItemIndex]:=
          E_provideradd.Text;
        LB_freq.Items[Param_Dialog2]:=E_freqadd.Text;
        LB_pol.Items[Param_Dialog2]:=E_poladd.Text;
        LB_symb.Items[Param_Dialog2]:=E_symbadd.Text;
        LB_PID.Items[Param_Dialog2]:=E_PIDAdd.Text;
        LB_FEC.Items[Param_Dialog2]:=IntToStr(CbB_FECAdd.
          ItemIndex);
        LB_Format.Items[Param_Dialog2]:=IntToStr(CbB_Format.
          ItemIndex);
        LB_cut.Items[Param_Dialog2]:=E_cut.Text;
        LB_DiSEqC.Items[Param_Dialog2]:=s;
        CbB_provider.ItemIndex:=Param_Dialog2;
        CbB_providerChange(@self);
      End;
  Hide;
end;

procedure TLiveInetAddClass.FormShow(Sender: TObject);
var s:String;
begin
  If LiveInetClass.Param_Dialog=0 Then
    With LiveInetClass Do
      Begin
        LiveInetAddClass.Caption:=AddCaption;
        E_provideradd.Text:=CustomName;
        E_freqadd.Text:='12000000';
        E_poladd.Text:='H';
        E_symbadd.Text:='27500000';
        E_PID.Text:='512';
        CbB_FECAdd.ItemIndex:=0;
        CbB_Format.ItemIndex:=0;
        E_cut.Text:='B8';
        RB_BurstOff.Checked:=True;
        RB_BurstOffClick(@self);
        CkB_DiSEqC.Checked:=False;
      End;
  If LiveInetClass.Param_Dialog=1 Then
    With LiveInetClass Do
      Begin
        LiveInetAddClass.Caption:=EditCaption;
        E_provideradd.Text:=CbB_provider.Items[Param_Dialog2];
        E_freqadd.Text:=LB_freq.Items[Param_Dialog2];
        E_poladd.Text:=LB_pol.Items[Param_Dialog2];
        E_symbadd.Text:=LB_symb.Items[Param_Dialog2];
        E_PIDAdd.Text:=LB_PID.Items[Param_Dialog2];
        CbB_FECAdd.ItemIndex:=StrToInt(LB_FEC.Items[
          Param_Dialog2]);
        CbB_Format.ItemIndex:=StrToInt(LB_Format.Items[
          Param_Dialog2]);
        E_cut.Text:=LB_cut.Items[Param_Dialog2];
        s:=LB_DiSEqC.Items[Param_Dialog2];
        if s[1]='0' Then
          CkB_DiSEqC.Checked:=False
         Else
          Begin
            CkB_DiSEqC.Checked:=True;
            if s[1]='1' Then
              Begin
                if s[2]='A' Then
                  RB_BurstOff.Checked:=True
                 Else
                  RB_BurstOn.Checked:=True;
              End;
            if s[1]='2' Then
              Begin
                if s[2]='A' Then
                  RB_PosA.Checked:=True
                 Else
                  RB_PosB.Checked:=True;
                if s[3]='A' Then
                  RB_OptA.Checked:=True
                 Else
                  RB_OptB.Checked:=True;
              End;
          End;
      End;
  CkB_DiSEqCClick(@self);
end;

procedure TLiveInetAddClass.E_freqaddKeyPress(Sender: TObject;
  var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetAddClass.E_symbaddKeyPress(Sender: TObject;
  var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetAddClass.CkB_DiSEqCClick(Sender: TObject);
begin
  if CkB_DiSEqC.Checked Then
    Begin
      LiveInetAddClass.Height:=412;
      BB_Ok.Top:=352;
      BB_Abort.Top:=352;
      GB_DiSEqC.Visible:=True;
    End
   Else
    Begin
      GB_DiSEqC.Visible:=False;
      BB_Ok.Top:=224;
      BB_Abort.Top:=224;
      LiveInetAddClass.Height:=284;
    End;
end;

procedure TLiveInetAddClass.RB_BurstOffClick(Sender: TObject);
begin
  RB_PosA.Checked:=False;
  RB_PosB.Checked:=False;
  RB_OptA.Checked:=False;
  RB_OptB.Checked:=False;
end;

procedure TLiveInetAddClass.RB_BurstOnClick(Sender: TObject);
begin
  RB_PosA.Checked:=False;
  RB_PosB.Checked:=False;
  RB_OptA.Checked:=False;
  RB_OptB.Checked:=False;
end;

procedure TLiveInetAddClass.RB_PosAClick(Sender: TObject);
begin
  RB_BurstOff.Checked:=False;
  RB_BurstOn.Checked:=False;
  if (Not RB_OptA.Checked) And (Not RB_OptB.Checked) Then
    RB_OptA.Checked:=True;
end;

procedure TLiveInetAddClass.RB_PosBClick(Sender: TObject);
begin
  RB_BurstOff.Checked:=False;
  RB_BurstOn.Checked:=False;
  if (Not RB_OptA.Checked) And (Not RB_OptB.Checked) Then
    RB_OptA.Checked:=True;
end;

procedure TLiveInetAddClass.RB_OptAClick(Sender: TObject);
begin
  RB_BurstOff.Checked:=False;
  RB_BurstOn.Checked:=False;
  if (Not RB_PosA.Checked) And (Not RB_PosB.Checked) Then
    RB_PosA.Checked:=True;
end;

procedure TLiveInetAddClass.RB_OptBClick(Sender: TObject);
begin
  RB_BurstOff.Checked:=False;
  RB_BurstOn.Checked:=False;
  if (Not RB_PosA.Checked) And (Not RB_PosB.Checked) Then
    RB_PosA.Checked:=True;
end;

procedure TLiveInetAddClass.E_PIDAddKeyPress(Sender: TObject;
  var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetAddClass.FormCreate(Sender: TObject);
begin
  Translate_LiveInetAdd;
end;

end.
