unit UCredits;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ShellAPI;

type
  TLiveInetCreditClass = class(TForm)
    GB_org: TGroupBox;
    GB_tr: TGroupBox;
    L_1a: TLabel;
    L_2a: TLabel;
    L_4a: TLabel;
    L_4b: TLabel;
    L_4c: TLabel;
    L_3a: TLabel;
    L_2b: TLabel;
    L_3b: TLabel;
    L_3c: TLabel;
    B_Close: TButton;
    GB_common: TGroupBox;
    L_E1: TLabel;
    L_addr1: TLabel;
    L_addr2: TLabel;
    L_F1: TLabel;
    L_Addr3: TLabel;
    L_Email: TLabel;
    L_H1: TLabel;
    l_G1: TLabel;
    L_A1: TLabel;
    L_B1: TLabel;
    L_B2: TLabel;
    L_C1: TLabel;
    L_C2: TLabel;
    L_C3: TLabel;
    L_D1: TLabel;
    L_D2: TLabel;
    L_D3: TLabel;
    L_3d: TLabel;
    L_C4: TLabel;
    M_Lang: TMemo;
    L_Lang: TLabel;
    L_D4: TLabel;
    L_D5: TLabel;
    L_4d: TLabel;
    L_4e: TLabel;
    procedure B_CloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure L_addr1Click(Sender: TObject);
    procedure L_addr2Click(Sender: TObject);
    procedure L_Addr3Click(Sender: TObject);
    procedure L_addr1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure L_addr2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure L_Addr3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private-Deklarationen}
    marked1,marked2,marked3:boolean; //only for highlighting addresses...
  public
    { Public-Deklarationen}
  end;

var
  LiveInetCreditClass: TLiveInetCreditClass;

implementation

uses ULiveInet, ULanguage;

{$R *.DFM}

procedure TLiveInetCreditClass.B_CloseClick(Sender: TObject);
begin
  Hide;
end;

procedure TLiveInetCreditClass.FormCreate(Sender: TObject);
begin
 if (LiveInetClass.temp0=0) Then
    LiveInetCreditClass.ShowModal;
  Translate_LiveInetCredits;
  LoadIni2;//credits for translator's
end;

procedure TLiveInetCreditClass.L_addr1Click(Sender: TObject);
var a1:Array [0..80] Of Byte;
begin
  StrPCopy(@a1[0],L_addr1.Caption);
  ShellExecute(Handle,NIL,@a1,NIL,NIL,SW_MAXIMIZE);
end;

procedure TLiveInetCreditClass.L_addr2Click(Sender: TObject);
var a1:Array [0..80] Of Byte;
begin
  StrPCopy(@a1[0],L_addr2.Caption);
  ShellExecute(Handle,NIL,@a1,NIL,NIL,SW_MAXIMIZE);
end;

procedure TLiveInetCreditClass.L_Addr3Click(Sender: TObject);
var a1:Array [0..80] Of Byte;
begin
  StrPCopy(@a1[0],'http://www.dvbforum.com');
  ShellExecute(Handle,NIL,@a1,NIL,NIL,SW_MAXIMIZE);
end;

procedure TLiveInetCreditClass.L_addr1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if not marked1 Then
    Begin
      marked1:=True;
      marked2:=False;
      marked3:=False;
      L_addr1.Font.Color:=clBlue;
      L_addr1.Font.Style:=[fsUnderline];
      L_addr2.Font.Color:=clNavy;
      L_addr2.Font.Style:=[];
      L_addr3.Font.Color:=clNavy;
      L_addr3.Font.Style:=[];
    End;
end;

procedure TLiveInetCreditClass.L_addr2MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if not marked2 Then
    Begin
      marked1:=False;
      marked2:=True;
      marked3:=False;
      L_addr1.Font.Color:=clNavy;
      L_addr1.Font.Style:=[];
      L_addr2.Font.Color:=clBlue;
      L_addr2.Font.Style:=[fsUnderline];
      L_addr3.Font.Color:=clNavy;
      L_addr3.Font.Style:=[];
    End;
end;

procedure TLiveInetCreditClass.L_Addr3MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if not marked3 Then
    Begin
      marked1:=False;
      marked2:=False;
      marked3:=True;
      L_addr1.Font.Color:=clNavy;
      L_addr1.Font.Style:=[];
      L_addr2.Font.Color:=clNavy;
      L_addr2.Font.Style:=[];
      L_addr3.Font.Color:=clBlue;
      L_addr3.Font.Style:=[fsUnderline];
    End;
end;

procedure TLiveInetCreditClass.FormMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if (marked1 or marked2 or marked3) Then
    Begin
      marked1:=False;
      marked2:=False;
      marked3:=False;
      L_addr1.Font.Color:=clNavy;
      L_addr1.Font.Style:=[];
      L_addr2.Font.Color:=clNavy;
      L_addr2.Font.Style:=[];
      L_addr3.Font.Color:=clNavy;
      L_addr3.Font.Style:=[];
    End;
end;

end.
