unit USRImport;
{UnitStreamReaderImport copyright by CBArts(CBArtz@gmx.net)
 Version 2.0 (B2C2-dll support added)
 thanx to Marfi for his streamreader.dll (now B2C2.dll)}
interface

uses Windows;

const DISEQC_HIGH_NIBLE=$F0;
      DISEQC_LOW_BAND  =$00;
      DISEQC_HIGH_BAND =$01;
      DISEQC_VERTICAL  =$00;
      DISEQC_HORIZONTAL=$02;
      DISEQC_POSITION_A=$00;
      DISEQC_POSITION_B=$04;
      DISEQC_OPTION_A  =$00;
      DISEQC_OPTION_B  =$08;

type BytePointer  =^Byte;
     //define functions as types for dynamic-variables-assign
     TCheckForDVB =function():Boolean;cdecl;
     TStartDVB    =function():Boolean;cdecl;
     TStopDVB     =function():Boolean;cdecl;
     TSendDiSEqC  =function(DiSEqCType:DWord;
       data:Byte):Boolean;cdecl;
     TSetChannel  =function(freq,symb,pol,fec,lof1,lof2,
       lofsw:DWord):Boolean;cdecl;
     TSetFilter   =function(pid:Word;DVBCALLBACK:Pointer;
       CallBackType,Size:DWord;lpdwReserved:Pointer):Boolean;
       cdecl;
     TSetBitFilter=function(pid:Word;FilterData,
       FilterMask:BytePointer;FilterLength:Byte;
       DVBCALLBACK:Pointer;lpdwReserved:Pointer):Boolean;cdecl;
     TDelFilter   =function(dwReserved:DWord):Boolean;cdecl;

//library functions... (assigned later see--> LoadAPI)
var CheckForDVB :TCheckForDVB;
    StartDVB    :TStartDVB;
    StopDVB     :TStopDVB;
    SendDiSEqC  :TSendDiSEqC;
    SetChannel  :TSetChannel;
    SetFilter   :TSetFilter;
    SetBitFilter:TSetBitFilter;
    DelFilter   :TDelFilter;
procedure LoadAPI(APInr:integer); //start library
procedure UnLoadAPI;//kill library

implementation

const  APIname  :Array [0..1] Of String=
                 ('StreamReader.dll','B2C2.dll');
var    APIHandle:THandle;

procedure LoadAPI(APInr:integer);
Begin
  APIHandle    :=LoadLibrary(PChar(APIname[APInr]));
  @CheckForDVB :=GetProcAddress(APIHandle,'CheckForDVB');
  @StartDVB    :=GetProcAddress(APIHandle,'StartDVB');
  @StopDVB     :=GetProcAddress(APIHandle,'StopDVB');
  @SendDiSEqC  :=GetProcAddress(APIHandle,'SendDiSEqC');
  @SetChannel  :=GetProcAddress(APIHandle,'SetChannel');
  @SetFilter   :=GetProcAddress(APIHandle,'SetFilter');
  @SetBitFilter:=GetProcAddress(APIHandle,'SetBitFilter');
  @DelFilter   :=GetProcAddress(APIHandle,'DelFilter');
End;

procedure UnLoadAPI;
Begin
  FreeLibrary(APIHandle);
End;

end.
