unit ULOF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TLiveInetLOFClass = class(TForm)
    E_LOF1: TEdit;
    Label5: TLabel;
    E_LOFSW: TEdit;
    E_LOF2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    BB_OK: TBitBtn;
    procedure BB_OKClick(Sender: TObject);
    procedure E_LOF1KeyPress(Sender: TObject; var Key: Char);
    procedure E_LOFSWKeyPress(Sender: TObject; var Key: Char);
    procedure E_LOF2KeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  LiveInetLOFClass: TLiveInetLOFClass;

implementation

uses ULiveInet, ULanguage;

{$R *.DFM}

procedure TLiveInetLOFClass.BB_OKClick(Sender: TObject);
begin
  Hide;
end;

procedure TLiveInetLOFClass.E_LOF1KeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetLOFClass.E_LOFSWKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetLOFClass.E_LOF2KeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(LiveInetClass.msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetLOFClass.FormCreate(Sender: TObject);
begin
  if LiveInetClass.temp1<>0 Then
    Begin
      E_LOF1.Text:=IntToStr(LiveInetClass.temp1);
      E_LOFSW.Text:=IntToStr(LiveInetClass.temp2);
      E_LOF2.Text:=IntToStr(LiveInetClass.temp3);
    End;
  Translate_LiveInetLOF;
end;

end.
