unit ULiveInet;
{All (c)opyrights reserved by CBArts (CBArtz@gmx.net)

Many thanks for the WorkShop-DLL-Interface by DVinGena
(DVinGena@yahoo.de)

Thanks to Marfi (marfi@bb.onet.pl) for his B2C2-DLL-Interface

Thanks to Zap.Hyr (Zap.Hyr@web.de) for FTC and PICV...

The Delphi-Import-Unit is copyright by CBArts, too!

You can use the source code for your own programs or change
this code IF you AGREE with the TERMS OF THE
GNU General Public License.
(You should have received a copy of the
 GNU General Public License along with GNU Make; see the
 file COPYING.TXT.  If not, write to the
 Free Software Foundation,
 675 Mass Ave, Cambridge, MA 02139, USA)

YOU HAVE TO MAKE A REMARK IN YOUR CREDITS SECTION TO MY NAME
(if you don't have one create one!!!)

THE SOURCE FROM YOUR PROGRAM SHOULD BE AVAILABLE FOR ALL,TOO
(WITH THIS METHOD WE CAN IMPROVE OUR CODE BETTER (IDEAS FROM
 OTHER PROGRAMMERS))

Please inform the author about changes/improvements...

Short FAQ:
How does it work?
  Please read the source!(You have to learn it by yourself!
  I've made enough comments...)
Where is the raw-data input?
  The data is passed from DVinGena's WS-API-DLL or Marfi's
  B2C2-API-DLL to the procedure called "CallBack" parameters
  are "buf" (datapointer) and "len" for datalength

  Short Function Diagram:
  RAWDATA-->CallBack(?)-->MPE_TCPIP_Scan-->(subprocs
  e.g. GetTCPIPHead,GetMACAddress,...)-->output-files

  The used CallBack-input-routine depends on necessary
  data-repair (only necessary for TT-DVB-s-drivers)
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, USRImport, CheckLst, Hex, FileCtrl, IniFiles,
  ActnList;

type
  PT_MACFilterList=^T_MACFilterList;
  T_MACFilterList= Record
      MACAddr     :Array [0..5] Of Byte;
      Filterhandle:DWord;
      nextentry   :PT_MACFilterList;
    End;
  PT_MAC_Info    = ^T_MAC_Info;
  PT_File_Info   = ^T_File_Info;
  T_MAC_Info     = Record
      //Pointer to previous MAC entry
      preventry    :PT_MAC_Info;
      mac          :Int64;
      //Pointer to first filelistentry
      fileliststart:PT_File_Info;
      //Pointer to last filelistentry
      filelistend  :PT_File_Info;
      //Pointer to next MAC entry
      nextentry    :PT_MAC_Info;
    End;
  T_File_Info    = Record
      //Pointer to previous filelistentry
      preventry   :PT_File_Info;
      sequence    :DWord;
      srcip       :DWord;
      srcport     :Word;
      destip      :DWord;
      destport    :Word;
      filename    :DWord;
      fileext     :Byte;
      filecur     :DWord;
      filesize    :DWord;
      //timeout-section
      timeout     :Boolean;
      nextdelentry:PT_File_Info;
      //new-filelist-additions
      OwnedByMAC  :PT_MAC_Info;
      //Pointer to next filelistentry
      nextentry   :PT_File_Info;
    End;
  // this is only to do a scroll-link between the ListBox
  // and CheckListBox...
  TEvt=procedure (Sender: TObject;ScrollID,nPos:Integer) of object;
  TModifiedListBox = class(TListBox)
  private
    FOnVScroll:TEvt; //windows event for scroll-msg
    procedure VScrollExec(var Message:TMessage); message
      WM_VSCROLL;
  protected
    // nothing...
  public
    // nothing...
  published
    //we should and own properties now...
    property OnVScroll:TEvt read FOnVScroll write FOnVScroll;
    //add needed standard props...
    property BorderStyle;
    property Color;
    property Enabled;
    property Font;
    property Height;
    property Hint;
    property IntegralHeight;
    property ItemHeight;
    property Items;
    property PopupMenu;
    property ShowHint;
    property Sorted;
    property Style;
    property TabWidth;
    property TabOrder;
    property TabStop;
    property Visible;
    property OnClick;
    property OnDblClick;
  end;
  TCustomCheckListBox = class(TCheckListBox)
  private
    FOnVScroll:TEvt; //windows event for scroll-msg
    procedure VScrollExec(var Message:TMessage); message
      WM_VSCROLL;
  protected
    // nothing...
  public
    // nothing...
  published
    //we should and own properties now...
    property OnVScroll:TEvt read FOnVScroll write FOnVScroll;
    //add needed standard props...
    property BorderStyle;
    property Color;
    property Enabled;
    property Flat;
    property Font;
    property Height;
    property Hint;
    property IntegralHeight;
    property ItemHeight;
    property Items;
    property PopupMenu;
    property ShowHint;
    property Sorted;
    property Style;
    property TabWidth;
    property TabOrder;
    property TabStop;
    property Visible;
    property OnClick;
    property OnClickCheck;
  end;
  //done
  TLiveInetClass = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    P_Info: TPanel;
    SB_info: TSpeedButton;
    GB_source: TGroupBox;
    CbB_provider: TComboBox;
    L_LProv1: TLabel;
    L_LProv2: TLabel;
    L_provider: TLabel;
    L_LFreq: TLabel;
    L_freq: TLabel;
    Label8: TLabel;
    L_pol: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    L_symb: TLabel;
    B_startdvb: TButton;
    B_setprov: TButton;
    B_add: TButton;
    B_del: TButton;
    LB_freq: TListBox;
    LB_pol: TListBox;
    LB_symb: TListBox;
    GB_PID: TGroupBox;
    B_start: TButton;
    B_stop: TButton;
    GB_speedup: TGroupBox;
    CkB_displaystat: TCheckBox;
    CkB_dontup: TCheckBox;
    GB_dir: TGroupBox;
    L_LOutdir: TLabel;
    L_LWorkdir: TLabel;
    E_outdir: TEdit;
    E_dir: TEdit;
    GB_status: TGroupBox;
    L_LPacketCnt: TLabel;
    L_LFileCnt: TLabel;
    L_LFilelistCnt: TLabel;
    P_Status1: TPanel;
    L_status1: TLabel;
    P_Status3: TPanel;
    P_Status4: TPanel;
    L_status4: TLabel;
    CkB_sort: TCheckBox;
    CkB_fileinfo: TCheckBox;
    CkB_csv: TCheckBox;
    GB_filetypes: TGroupBox;
    B_save: TButton;
    B_remove: TButton;
    L_LStat1: TLabel;
    L_LStat2: TLabel;
    P_MAC: TPanel;
    T_status: TTimer;
    GB_file: TGroupBox;
    CkB_minfile: TCheckBox;
    E_minfile: TEdit;
    Label25: TLabel;
    CkB_maxfile: TCheckBox;
    E_maxfile: TEdit;
    Label26: TLabel;
    B_MACScan: TButton;
    CkB_uknfile: TCheckBox;
    B_Browse1: TSpeedButton;
    P_Status2: TPanel;
    L_LHttpCnt: TLabel;
    L_status2: TLabel;
    GB_Expert: TGroupBox;
    SB_Exit: TSpeedButton;
    B_Edit: TButton;
    LB_DiSEqC: TListBox;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Label28: TLabel;
    L_DiSEqC: TLabel;
    Label3: TLabel;
    L_DiSEqC_opt: TLabel;
    CkB_LimitFilelist: TCheckBox;
    E_LimitFilelist: TEdit;
    CkB_chksumoff: TCheckBox;
    Label33: TLabel;
    Label27: TLabel;
    L_FEC: TLabel;
    Label35: TLabel;
    E_PID: TEdit;
    LB_PID: TListBox;
    LB_FEC: TListBox;
    LB_Format: TListBox;
    LB_cut: TListBox;
    L_Format: TLabel;
    Label12: TLabel;
    L_cut: TLabel;
    B_LOF: TButton;
    CkB_timeout: TCheckBox;
    E_timeout: TEdit;
    T_Filetimeout: TTimer;
    B_Browse2: TSpeedButton;
    CbB_Lang: TComboBox;
    L_LLang: TLabel;
    L_Lang: TLabel;
    SB_Lang: TSpeedButton;
    Label4: TLabel;
    Label5: TLabel;
    L_status3: TLabel;
    Label6: TLabel;
    E_incdir: TEdit;
    CkB_incdir: TCheckBox;
    CkB_SupportFilter: TCheckBox;
    CkB_SrvKillOff: TCheckBox;
    CkB_MAC: TCheckBox;
    B_selall: TButton;
    B_selnone: TButton;
    CkB_NetSysRepair: TCheckBox;
    CkB_DebugChkSum: TCheckBox;
    Label7: TLabel;
    L_LUseCard: TLabel;
    RB_TTDVB: TRadioButton;
    RB_B2C2: TRadioButton;
    L_FTC: TLabel;
    AL_Shortcuts: TActionList;
    A_FTC: TAction;
    CkB_AutoWorkCleanOff: TCheckBox;
    function  GetMACEntry(MAC_in:Int64):PT_MAC_Info;
    function  NewFileListEntry(MAC_entry:PT_MAC_Info):PT_File_Info;
    procedure DelFileListEntry(var entry:PT_File_Info;kill:Boolean);
    function  ScanDBList(mac:Int64;srcip:DWord;srcport:Word;destip:DWord;destport:Word;sequence,nexseq:DWord;var entry:PT_File_Info):Boolean;
    procedure B_startdvbClick(Sender: TObject);
    procedure CbB_providerChange(Sender: TObject);
    procedure B_addClick(Sender: TObject);
    procedure B_setprovClick(Sender: TObject);
    procedure B_startClick(Sender: TObject);
    function  AddMACFilter(MAC:String):Boolean;
    function  UpdMACFilter(MAC:String;nr:Integer):Boolean;
    function  SetMACFilter(nr:Integer):Boolean;
    function  DelMACFilter(nr:Integer):Boolean;
    function  ReleaseMACFilter(nr:Integer):Boolean;
    procedure B_stopClick(Sender: TObject);
    procedure SB_infoClick(Sender: TObject);
    function  GetVersion:String;
    procedure FormCreate(Sender: TObject);
    procedure CkLB_filetypesClickCheck(Sender: TObject);
    function  GetTCPIPHead(var buf;len:Integer;var datalength:Word;var srcip:DWord;var srcport:Word;var destip:DWord;var destport:Word;var sequence,nextseq:DWord;var finish:Boolean;var startpos:LongInt):Boolean;
    function  GetMACAddress(var buf;len:Integer):Int64;
    function  ScanHTTPHeader(var entry:PT_File_Info;var buf;len:Integer;mac:Int64;srcip:DWord;srcport:Word;destip:DWord;destport:Word;nextseq:DWord):Boolean;
    procedure MPE_TCPIP_Scan(var buf;len:Integer);
    function  Do_FIN(var entry:PT_File_Info;mac:Int64;oldname:String):String;
    function  fileend(var entry:PT_File_Info;datalen:Word):Boolean;
    procedure UpdateStatus(pktcnt,pktdef,pktuse:Int64;filecnt,filedone,filetimeout,filesizeerr:DWord);
    procedure FileInfoUp(var entry:PT_File_Info);
    procedure B_saveClick(Sender: TObject);
    procedure B_removeClick(Sender: TObject);
    procedure B_delClick(Sender: TObject);
    procedure T_statusTimer(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure CkB_MACClick(Sender: TObject);
    procedure CkB_minfileClick(Sender: TObject);
    procedure CkB_maxfileClick(Sender: TObject);
    procedure E_lofKeyPress(Sender: TObject; var Key: Char);
    procedure B_Browse1Click(Sender: TObject);
    procedure B_Browse2Click(Sender: TObject);
    procedure E_PIDKeyPress(Sender: TObject; var Key: Char);
    procedure E_minfileKeyPress(Sender: TObject; var Key: Char);
    procedure E_maxfileKeyPress(Sender: TObject; var Key: Char);
    procedure SB_ExitClick(Sender: TObject);
    procedure B_EditClick(Sender: TObject);
    procedure CkB_LimitFilelistClick(Sender: TObject);
    procedure E_LimitFilelistKeyPress(Sender: TObject; var Key: Char);
    procedure B_MACScanClick(Sender: TObject);
    procedure CkB_uknfileClick(Sender: TObject);
    procedure CkB_chksumoffClick(Sender: TObject);
    procedure B_LOFClick(Sender: TObject);
    procedure CkB_timeoutClick(Sender: TObject);
    procedure E_timeoutKeyPress(Sender: TObject; var Key: Char);
    procedure E_timeoutExit(Sender: TObject);
    procedure T_FiletimeoutTimer(Sender: TObject);
    procedure SB_LangClick(Sender: TObject);
    procedure CbB_LangChange(Sender: TObject);
    procedure CbB_LangExit(Sender: TObject);
    procedure CkB_incdirClick(Sender: TObject);
    procedure B_selallClick(Sender: TObject);
    procedure B_selnoneClick(Sender: TObject);
    procedure RB_TTDVBClick(Sender: TObject);
    procedure RB_B2C2Click(Sender: TObject);
    procedure CkLB_filetypescountOnVScroll(Sender: TObject;scrollvalue,npos:Integer);
    procedure CkLB_filetypesOnVScroll(Sender: TObject;scrollvalue,npos:Integer);
    procedure L_FTCClick(Sender: TObject);
    procedure CkB_dontupClick(Sender: TObject);
    procedure CkB_displaystatClick(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
    Param_Dialog:Integer;
    Param_Dialog2:Integer;
    temp0,temp1,temp2,temp3:Integer;
    //now a few variables for different languages...
    msg_err_check4dvb,
    msg_err_startdvb,
    msg_var_diseqcoff,
    msg_var_notavailable,
    msg_err_setprovider,
    msg_err_invalidvalues,
    msg_err_senddiseqc,
    msg_err_setchannel,
    msg_err_delfilter,
    msg_var_incompletefiles,
    msg_var_packetcount,
    msg_var_httpcount,
    msg_var_filelistcount,
    msg_var_filecount,
    msg_err_couldnotopen,
    msg_err_couldnotcreate,
    msg_var_statfiletxta1,msg_var_statfiletxta2,msg_var_statfiletxta3,
    msg_var_statfiletxtb,
    msg_var_statfilecsv,
    msg_err_setfiltera,
    msg_err_setfilterb,
    msg_err_setfilterc,
    msg_err_setfilterd,
    msg_wng_setfiltere,
    msg_err_setfilterf,
    msg_wng_filterexists,
    msg_cfm_deleteconfig,
    msg_err_selectprovider,
    msg_err_onlydigits,
    msg_var_chooseworkdir,
    msg_var_chooseoutdir,
    msg_err_onlyhexvalues,
    msg_err_mintimeut,
    msg_err_outofmem,
    msg_wng_oldiniexists,
    msg_wng_newiniexists:String;
  end;

var
  LiveInetClass  :TLiveInetClass;
  LB_FileTypesCnt:TModifiedListBox;
  CkLB_filetypes :TCustomCheckListBox;

implementation

uses UAdd, UScan, ULOF, UCredits, ULanguage;

{$R *.DFM}   
const FECtype:Array [0..8] Of String[4]=
        ('Auto','1/2','2/3','3/4','4/5','5/6','6/7','7/8',
         '8/9');
      Formattype:Array [0..2] Of String[9]=
        ('Normal','NetSystem','AstraNet');
      MAXMACFILTERCOUNT=30;
      MainININame='LiveINet.ini';
      BETAString='';//no beta now ;)
      filetypes=49;//no more filetypes now...
      filetype:Array [0..filetypes-1] Of String[3]=
        ('ukn','htm','jpg','jpg','gif','zip','tar','mpg',
         'mov','avi','avi','rv' ,'mp3','ra' ,'pdf','exe',
         'bmp','tif','art','rf' ,'rp' ,'eml','txt','323',
         'css','xml','rt' ,'exe','hta','js' ,'rpm','doc',
         'xls','iii','cer','nsc','rmp','rm' ,'rnx','sdp',
         'ssm','swf','mid','aif','snd','wav','wma','ivf',
         'wmv');
      fullfiletype:Array [1..filetypes-1] Of String=
        ('text/html',
         'image/jpeg',
         'image/pjpeg',
         'image/gif',
         'application/zip',
         'application/x-tar',
         'video/mpeg',
         'video/quicktime',
         'video/x-msvideo',
         'video/avi',
         'video/vnd.rn-realvideo',
         'audio/mpeg',
         'audio/vnd.rn-realaudio',
         'application/pdf',
         'application/x-msdownload',
         'image/bmp',
         'image/tiff',
         'image/x-jg',
         'image/vnd.rn-realflash',
         'image/vnd.rn-realpix',
         'message/rfc822',
         'text/plain',
         'text/h323',
         'text/css',
         'text/xml',
         'text/vnd.rn-realtext',
         'application/octet-stream',
         'application/hta',
         'application/x-javascript',
         'application/x-rpm',
         'application/msword',
         'application/vnd.ms-excel',
         'application/x-iphone',
         'application/pkix-cert',
         'application/x-conference',
         'application/vnd.rn-rn_music_package',
         'application/vnd.rn-realmedia',
         'application/vnd.rn-realplayer',
         'application/sdp',
         'application/streamingmedia',
         'application/futuresplash',
         'audio/mid',
         'audio/aiff',
         'audio/basic',
         'audio/wav',
         'audio/x-ms-wma',
         'video/x-ivf',
         'video/x-ms-wmv');

type BytePointer=^Byte;
     WordPointer=^Word;
     DWordPointer=^DWord;
     StringPointer=^String;
     PT_IPHeader=^T_IPHeader;
     T_IPHeader=packed Record
       IPver_IHL:Byte;//IP-version (e.g. 4) and
                      //Internet Header Length (e.g. 5)
       TOS      :Byte;//Type Of Service
       TotalLen :Word;//Length of IP-packet(with datapayload)
       Ident    :Word;//Identification
       Flags_Off:Word;//Flags and Fragment-Offset
       TTL      :Byte;//Time to Live
       Protocol :Byte;//next-level-protocol (e.g. 6 = TCP)
       HChksum  :Word;//Header Checksum
       SourceAdr:DWord;//Source IP-Address
       DestinAdr:DWord;//Destination IP-Address
       //Options are nut necessary/possible(variable length)
     End;
     PT_TCPHeader=^T_TCPHeader;
     T_TCPHeader=packed Record
       SourcePort:Word;//Source Port
       DestinPort:Word;//Destination Port
       Sequencenr:DWord;//Sequence number
       Acknr     :DWord;//Acknowledgment number
       Off_Flags :Word;//Dataoffset + Reseved + Flags
       Window    :Word;
       ChkSum    :Word;
       UrgentPtr :Word;
       //Options are nut necessary/possible(variable length)
     End;

var dbcount,dbcount_limit:LongInt;
    firstMAClistentry,
    lastMAClistentry:PT_MAC_Info;
    firstdelentry:PT_File_Info;
    //not necessary: lastdelentry (only used locally in
    //OnTimer-->Timout)
    MACFilterList,
    lastMACfilter,
    firstMACfilter:PT_MACFilterList;
    MACFilterCount:Integer;
    f3,f4:TextFile;
    debugfile1:TFileStream;
    FTC_Arr:Array [0..filetypes-1] Of Integer;
    filetypelist:Array [-1..filetypes-1] Of Byte;
    cache:PByteArray;// for break-packet assembleing
    cache2:String;// for break-packet assembleing
    cache_len,cache_rest:Integer;
    cache_packet, // Marker for full cache
    stop_stream,
    kill_application,
    showmsg_outofmem:Boolean;
    //some statistic variables...
    pktcnt,pktdef,pktchksumerr,pktuse,
    filename,filedone,filetimeout,filesizeerr,http_cont,
    outdircnt,incdircnt:Int64;
    //some speedups:
    //the values of the objects will be written to simple
    //variables
    //INFO:the init of the var's is @ OnFormCreate
    minfile_on,
    maxfile_on,
    uknsize_off,
    limitfilelist_on,
    chksum_on,
    UseFTC_on,
    updateform_off,
    displaystat_off:Boolean;
    minfilesize,
    maxfilesize,
    filelistsize,
    format_nr:Integer;
    format_cval:Byte;
    //end speedups
    filternum,filternum2:DWord;
    LINETVersion:Integer;
    DVBCardType:Integer;

function  TLiveInetClass.GetMACEntry(MAC_in:Int64):PT_MAC_Info;
var MACentry:PT_MAC_Info;
Begin
  //check if filelistlimit is active and reached...
  if (CkB_LimitFileList.Checked) And
     (dbcount>=filelistsize) Then
    Begin
      Result:=NIL;
      Exit;
    End;
  //check if MAC already exists...
  MACentry:=firstMAClistentry;
  While MACentry<>NIL Do
    Begin
      if (MACentry^.mac=MAC_in) Then
        //found: MAC already listed :)
        Break;//quit loop...
      MACentry:=MACentry^.nextentry;
    End;
  //TODO: place new MAC at right place (to get a sorted list)
  if (MACentry=NIL) Then //MAC not found or no list available
    Begin
      //create next MACentry (or new list) (if possible)
      Try
        New(MACentry);
      Except
        On EOutOfMemory Do
          Begin
            //we should show this message only one time!
            if showmsg_outofmem Then
              ShowMessage(msg_err_outofmem);
            showmsg_outofmem:=False;
            Result:=NIL;
            Exit;
          End;
      End;
      With MACentry^ Do
        Begin
          //preset entry
          preventry:=lastMAClistentry;
          nextentry:=NIL;
          MACentry^.mac:=MAC_in;
          MACentry^.fileliststart:=NIL;
          MACentry^.filelistend:=NIL;
        End;
      if (firstMAClistentry=NIL) Then
        Begin
          //create new list
          firstMAClistentry:=MACentry;
          lastMAClistentry:=MACentry;
        End
       Else
        Begin
          //add to existing list
          lastMAClistentry^.nextentry:=MACentry;
          lastMAClistentry:=lastMAClistentry^.nextentry;
        End;
    End;
  Result:=MACentry;
End;

function  TLiveInetClass.NewFileListEntry(MAC_entry:
                           PT_MAC_Info):PT_File_Info;
var fileentry:PT_File_Info;
Begin
  //check if filelistlimit is active and reached...
  if (CkB_LimitFileList.Checked) And
     (dbcount>=filelistsize) Then
    Begin
      Result:=NIL;
      Exit;
    End;
  //create next fileentry (if possible)
  try
    New(fileentry);
  except
    On EOutOfMemory Do
      Begin
        //we should show this message only one time!
        if showmsg_outofmem Then
          ShowMessage(msg_err_outofmem);
        showmsg_outofmem:=False;
        Result:=NIL;
        Exit;
      End;
  end;
  if (MAC_entry^.fileliststart=NIL) Then
    Begin //create new list...
      MAC_entry^.fileliststart:=fileentry;
      MAC_entry^.filelistend:=fileentry;
      //first entry in list --> no previous entry now...
      fileentry^.preventry:=NIL;
    End
   Else //add to existing list...
    Begin
      //link new entry to lastentry...
      MAC_entry^.filelistend^.nextentry:=fileentry;
      //set new previous entry...
      fileentry^.preventry:=MAC_entry^.filelistend;
      //set new entry to lastentry
      MAC_entry^.filelistend:=fileentry;
    End;
  //set owner (MAClistentry)
  fileentry^.OwnedByMAC:=MAC_entry;
  //set next-pointer to NULL
  fileentry^.nextentry:=NIL;
  //no delentry-list now...
  fileentry^.nextdelentry:=NIL;
  //increase filelistcount
  Inc(dbcount);
  //return new entry...
  Result:=fileentry;
End;

procedure TLiveInetClass.DelFileListEntry(var entry:PT_File_Info;kill:Boolean);
var P1,P2:PT_File_Info;
Begin
  //-->start<-- unlink "entry" from his filelist
  P1:=entry^.preventry;
  P2:=entry^.nextentry;
  if (P1<>NIL) Then
    //update previous entry...
    P1^.nextentry:=P2
   Else//this seem to be the first entry:update fileliststart
    entry^.OwnedByMAC^.fileliststart:=P2;
  if (P2<>NIL) Then
    //update next entry...
    P2^.preventry:=P1
   Else//this seem to be the last entry:update filelistend
    entry^.OwnedByMAC^.filelistend:=P1;
  //-->done<--
  //now we are able to free the entry (if allowed)...
  if kill Then
    Begin
      Dispose(entry);
      entry:=NIL;
    End;
  Dec(dbcount);
End;

function  TLiveInetClass.ScanDBList(mac:Int64;srcip:DWord;
            srcport:Word;destip:DWord;destport:Word;
            sequence,nexseq:DWord;var entry:PT_File_Info):Boolean;
var  MACentry,MACentry2,P1,P2:PT_MAC_Info;
Begin
  Result:=True;
  MACentry:=firstMAClistentry;
  While (MACentry<>NIL) Do
    Begin
      if (MACentry^.mac=mac) Then //mac found...
        Begin
          //lets take a closer look...
          entry:=MACentry^.fileliststart;
          While (entry<>NIL) Do
            Begin
              //now we can check socket and sequence...
              if (entry^.srcip   =srcip)    And
                 (entry^.srcport =srcport)  And
                 (entry^.destip  =destip)   And
                 (entry^.destport=destport) And
                 (entry^.sequence=sequence) Then
                Exit;//found... :)
              entry:=entry^.nextentry;
            End;
          //socket & sequence not found :(
          Result:=False;
          Exit;//lets move on...
        End;
      if (MACentry^.fileliststart=NIL) Then
        Begin //lets cleanup a little bit...
          MACentry2:=MACentry;
          //(see DelFileListEntry for comments!)
          P1:=MACentry^.preventry;
          P2:=MACentry^.nextentry;
          if (P1<>NIL) Then
            P1^.nextentry:=P2
           Else
            firstMAClistentry:=P2;
          if (P2<>NIL) Then
            P2^.preventry:=P1
           Else
            lastMAClistentry:=P1;
          //TODO:REMOVE-POSSIBLE-ERROR-SOURCE
          //(own del-list necessary :( not now...)
          Dispose(MACentry2);
          MACentry:=P2;
        End
       Else //no entry-clean: --> process next entry
        MACentry:=MACentry^.nextentry;
    End;
  Result:=False; //mac not found :(
End;

procedure TLiveInetClass.B_startdvbClick(Sender: TObject);
begin
  CbB_providerChange(@self);
  LoadAPI(DVBCardType);
  B_startdvb.Enabled:=False;
  if not CheckForDVB Then
    Begin
      MessageDlg(msg_err_check4dvb,
                 mtError,[mbOk], 0);
      B_startdvb.Enabled:=True;
      Exit;
    End;
  if not StartDVB Then
    Begin
      MessageDlg(msg_err_startdvb,
                 mtError,[mbOk], 0);
      B_startdvb.Enabled:=True;
      Exit;
    End;
  RB_TTDVB.Enabled:=False;
  RB_B2C2.Enabled:=False;
  GB_source.Visible:=True;
  L_LStat2.Visible:=True;
end;

procedure TLiveInetClass.CbB_providerChange(Sender: TObject);
var s,s2:String;
    index:Integer;
begin
  if B_setprov.Enabled Then
    Begin
      GB_PID.Visible:=False;
      P_MAC.Visible:=False;
    End;
  index:=CbB_provider.ItemIndex;
  if index=-1 Then Exit;
  L_provider.Caption:=CbB_provider.Items[index];
  L_freq.Caption:=LB_freq.Items[index];
  L_pol.Caption:=LB_pol.Items[index];
  L_symb.Caption:=LB_symb.Items[index];
  s:=LB_DiSEqC.Items[index];
  if s[1]='0' Then
    Begin
      L_DiSEqC.Caption:=msg_var_diseqcoff;
      L_DiSEqC_opt.Caption:=msg_var_notavailable;
    End
   Else
    Begin
      if s[1]='1' Then
        Begin
          L_DiSEqC.Caption:='Burst-mode';
          if s[2]='A' Then
            s2:='Position A'
           Else
            s2:='Position B';
        End;
      if s[1]='2' Then
        Begin
          L_DiSEqC.Caption:='On (v1.0)';
          if s[2]='A' Then
            s2:='Position A'
           Else
            s2:='Position B';
          if s[3]='A' Then
            s2:=s2+' + Option A'
           Else
            s2:=s2+' + Option B';
        End;
      L_DiSEqC_opt.Caption:=s2;
    End;
  L_FEC.Caption:=FECType[StrToInt(LB_FEC.Items[index])];
  E_PID.Text:=LB_PID.Items[index];
  format_nr:=StrToInt(LB_Format.Items[index]);
  format_cval:=HexToInt(LB_cut.Items[index]);
  if (DVBCardType=1) Then format_nr:=0;
  L_Format.Caption:=Formattype[format_nr];
  if StrToInt(LB_Format.Items[index])=0 Then
    L_cut.Caption:=msg_var_notavailable
   Else
    L_cut.Caption:=LB_cut.Items[index];
  if B_setprov.Enabled Then
    Begin
//      if format_nr>0 Then
//        Begin
//          CkB_MAC.Checked:=False;
//          CkB_MACClick(@self);
//          CkB_MAC.Enabled:=False;
//        End
//       Else
        Begin
          CkB_MAC.Enabled:=True;
          CkB_MACClick(@self);
        End;
    End;
end;

procedure TLiveInetClass.B_addClick(Sender: TObject);
begin
  Param_Dialog:=0;
  LiveInetAddClass.Show;
end;

procedure TLiveInetClass.B_setprovClick(Sender: TObject);
var freq,pol,symb,LOF1,LOF2,LOFSW,FEC:Integer;
    DiSEqCtyp,data:Byte;
    s:String;
begin
  B_setprov.Enabled:=False;
  if L_provider.Caption=msg_var_notavailable Then
    Begin
      MessageDlg(msg_err_setprovider,
                 mtError,[mbOk], 0);
      B_setprov.Enabled:=True;
      Exit;
    End;
  try
    freq:=StrToInt(L_freq.Caption);
    if (L_pol.Caption='H') Then pol:=0 else pol:=1;
    symb:=StrToInt(L_symb.Caption);
    LOF1:=StrToInt(LiveInetLOFClass.E_LOF1.Text);
    LOFSW:=StrToInt(LiveInetLOFClass.E_LOFSW.Text);
    LOF2:=StrToInt(LiveInetLOFClass.E_LOF2.Text);
    FEC:=StrToInt(LB_FEC.Items[CbB_provider.ItemIndex]);
  except
    MessageDlg(msg_err_invalidvalues,
               mtError,[mbOk], 0);
    B_setprov.Enabled:=True;
    Exit;
  end;
  s:=LB_DiSEqC.Items[CbB_provider.ItemIndex];
  DiSEqCtyp:=Ord(s[1])-48;
  data:=0;
  if (DVBCardType=1) And (FEC>3) Then
    Dec(FEC);
  if (FEC>5) Then FEC:=0;
  if (DiSEqCtyp=1) And (s[2]='B') Then //simple DiSEqC PosB
    data:=1;
  if DiSEqCtyp=2 Then //DiSEqC 1.0
    Begin
      data:=DISEQC_HIGH_NIBLE;
      if pol=0 Then
        data:=data+DISEQC_HORIZONTAL
       Else
        data:=data+DISEQC_VERTICAL;
      if freq>lofsw Then
        data:=data+DISEQC_HIGH_BAND
       Else
        data:=data+DISEQC_LOW_BAND;
      if s[2]='A' Then
        data:=data+DISEQC_POSITION_A
       Else
        data:=data+DISEQC_POSITION_B;
      if s[3]='A' Then
        data:=data+DISEQC_OPTION_A
       Else
        data:=data+DISEQC_OPTION_B;
    End;
  if not SendDiSEqC(DiSEqCtyp,data) Then
    Begin
      MessageDlg(msg_err_senddiseqc,
                 mtError,[mbOk], 0);
      B_setprov.Enabled:=True;
      Exit;
    End;
  if not SetChannel(freq,symb,pol,FEC,LOF1,LOF2,LOFSW) Then
    Begin
      MessageDlg(msg_err_setchannel,
                 mtError,[mbOk], 0);
      B_setprov.Enabled:=True;
      Exit;
    End;
  B_setprov.Enabled:=True;
  GB_PID.Visible:=True;
  P_MAC.Visible:=True;
end;

procedure TLiveInetClass.B_stopClick(Sender: TObject);
var b:Boolean;
    i:Integer;
    entry,entry2:PT_File_Info;
    MACentry,MACentry2:PT_MAC_Info;
begin
  stop_stream:=True;//emergency streaming stop on
  if (MACFilterCount>0) Then //stop all MAC-filters
    For i:=1 To MACFilterCount Do
      ReleaseMACFilter(i);
  b:=True;
  if Not CkB_MAC.Checked Then
    b:=DelFilter(Filternum);
  //kill 'Blindfilter' if exists
  if
//NEW  (format_nr=1) Or
    (CkB_SupportFilter.Checked) Then
    b:=b And DelFilter(Filternum2);
  T_status.Enabled:=False;
  if Not kill_application Then
  Begin
  LiveInetScanClass.B_scan.Enabled:=True;
//GB_source:
  B_setprov.Enabled:=True;
//GB_PID:
  B_start.Enabled:=True;
  B_stop.Enabled:=False;
  CkB_MAC.Enabled:=True;
  CkB_MACClick(@self);
//GB_DIR:
  E_dir.Color:=clWhite;
  E_dir.Font.Color:=clBlue;
  E_dir.Enabled:=True;
  E_outdir.Color:=clWhite;
  E_outdir.Font.Color:=clBlue;
  E_outdir.Enabled:=True;
  B_Browse1.Enabled:=True;
  B_Browse2.Enabled:=True;
  CkB_incdir.Enabled:=True;
  CkB_incdirClick(@self);
  CkB_Sort.Enabled:=True;
  CkB_fileinfo.Enabled:=True;
  CkB_csv.Enabled:=True;
//done
  if not b Then
    MessageDlg(msg_err_delfilter,
               mtError,[mbOk], 0);
  End;
  if CkB_fileinfo.Checked Then
    Begin
      WriteLn(f3);
      WriteLn(f3,msg_var_incompletefiles);
    End;
  //write incomplete-filelist to logfile(s) (if log active)
  MACentry:=firstMAClistentry;
  While (MACentry<>NIL) Do
    Begin
      entry:=MACentry^.fileliststart;
      While (entry<>NIL) Do
        Begin
          FileInfoUp(entry);
          entry:=entry^.nextentry;
        End;
      MACentry:=MACentry^.nextentry;
    End;
  //update/add statistic line to logfile(s) (if log active)
  if CkB_fileinfo.Checked Then
    Begin
      WriteLn(f3);
      WriteLn(f3,
        msg_var_packetcount+' '+
        IntToStr(pktcnt)+'/'+
        IntToStr(pktuse)+'/'+
        IntToStr(pktdef)+'('+
        IntToStr(pktchksumerr)+')/'+
        IntToStr(pktcnt-pktuse-pktdef));
      WriteLn(f3,
        msg_var_httpcount+' '+
        IntToStr(http_cont));
      WriteLn(f3,
        msg_var_filelistcount+' '+IntToStr(dbcount)+'/x');
      WriteLn(f3,
        msg_var_filecount+' '+
        IntToStr(filename)+'/'+
        IntToStr(filename-filedone-filetimeout-filesizeerr)+'/'+
        IntToStr(filedone)+'/'+
        IntToStr(filetimeout)+'/'+
        IntToStr(filesizeerr));
      CloseFile(f3);
    End;
  if CkB_csv.Checked Then
    CloseFile(f4);
//DEBUG-START
  if CkB_DebugChkSum.Checked Then
    Begin
      Try
        FileClose(debugfile1.Handle);
        debugfile1.Free;
      Except
        //no messages necessary...
      End; {EndOfTry}
    End;
//DEBUG-END
  //be sure that all timeout-entries are disposed...
  //and of course mark fileentries for "virtual" timeout(AWC)
  T_FiletimeoutTimer(@self);
  //now follows AWC (Auto-WorkDir-Cleanup) :)
  //finally implemented ;)
  //but first we should check if AWC is wanted...
  if Not CkB_AutoWorkCleanOff.Checked Then
    Begin
      //unlink marked fileentries
      T_FiletimeoutTimer(@self);
      //and now: free the dellist and delete/move files
      T_FiletimeoutTimer(@self);
      //hey, that was simple ;) ;)
    End;
  //we don't need the filelist anymore...
  //we begin with the last MAC entry and last fileentry!
  //(for next streaming it will be created new!)
  //INFO: if AWC is active then the fileentry-dispose
  //      was already done and we only have to free
  //      the MAC-entries
  MACentry:=lastMAClistentry;
  While (MACentry<>NIL) Do
    Begin
      entry:=MACentry^.filelistend;
      While (entry<>NIL) Do
        Begin
          entry2:=entry;
          entry:=entry^.preventry;
          Dispose(entry2);
        End;
      if (MACentry^.filelistend=NIL) And
         (MACentry^.fileliststart<>NIL) Then
        //only to be sure... (maybe a problem anywhere)
        Begin
          entry:=MACentry^.fileliststart;
          While (entry<>NIL) Do
            Begin
              entry2:=entry;
              entry:=entry^.nextentry;
              Dispose(entry2);
            End;
        End;
      MACentry2:=MACentry;
      MACentry:=MACentry^.preventry;
      Dispose(MACentry2);
    End;
  firstMAClistentry:=NIL;
  lastMAClistentry:=NIL;
end;

procedure TLiveInetClass.SB_infoClick(Sender: TObject);
begin
  LiveInetCreditClass.Show;
end;

function  TLiveInetClass.GetVersion:String;
var size:DWord;
    h:THandle;
    buf:String;
    FFIBuf:PVSFixedFileInfo;
begin
  Result:='';
  size:=GetFileVersionInfoSize(PChar(Application.ExeName),h);
  if (size>0) Then
    Begin
      SetLength(buf,size);
      if GetFileVersionInfo(PChar(Application.ExeName),h,
        size,PChar(buf)) Then
        if VerQueryValue(PChar(buf),'\',Pointer(FFIBuf),size)
          Then
          if (size>=SizeOf(TVSFixedFileInfo)) Then
            With FFIBuf^ Do
              Result:=IntToStr(HIWORD(dwFileVersionMS))+
                      IntToStr(LOWORD(dwFileVersionMS))+
                      IntToStr(HIWORD(dwFileVersionLS));
    End;
End;

procedure TLiveInetClass.FormCreate(Sender: TObject);
var i,cnt,lastprov,lastlang,ver:Integer;
    MainIni:TMemIniFile;
    s:String;
begin
  //create ListBox-filetypecount & CheckListBox-filetypes...
  //this is only necessary because we want to LINK both
  //Lists (filetypecount & filetypes) to make sync scrolling
  //possible! (for this we need changed components :( )
  LB_FileTypesCnt:=TModifiedListBox.Create(NIL);
  With LB_FileTypesCnt Do
    Begin
      BorderStyle:=bsNone;
      Color:=clBtnFace;
      Hint:='';
      ShowHint:=False;
      Style:=lbOwnerDrawFixed;
      ItemHeight:=13;
      Top:=15;
      Left:=8;
      Width:=49;
      Height:=195;
      Parent:=GB_filetypes;
      //OnClickCheck:=CkLB_filetypesClickCheck;
      OnVScroll:=CkLB_filetypescountOnVScroll;
      Font.Color:=clWhite;
      TabOrder:=0;
      TabStop:=False;
    End;
  CkLB_filetypes:=TCustomCheckListBox.Create(NIL);
  With CkLB_filetypes Do
    Begin
      BorderStyle:=bsNone;
      Color:=clBtnFace;
      Hint:='';//will be set later (see Translate...)
      ShowHint:=True;
      Style:=lbOwnerDrawFixed;
      ItemHeight:=13;
      Sorted:=False;
      Top:=15;
      Left:=40;
      Width:=193;
      Height:=195;
      Parent:=GB_filetypes;
      OnClickCheck:=CkLB_filetypesClickCheck;
      OnVScroll:=CkLB_filetypesOnVScroll;
      Font.Color:=clMaroon;
      TabOrder:=1;
      TabStop:=True;
    End;
  B_selall.TabOrder:=2;
  B_selnone.TabOrder:=3;
  //done
  s:=GetVersion;
  LINETVersion:=StrToInt(s);
  LiveInetClass.Caption:='LIVE Internet Stream Filter '+
    s[1]+'.'+Copy(s,2,2)+
    ' (LiveINET'+s+') by CBArts'+BETAString;
  Application.Title:='LINET '+s[1]+'.'+Copy(s,2,2)+BETAString;
  //Allocate memory for cache1 (max 6KB)
  GetMem(cache,6*1024);
  LB_FileTypesCnt.Items.Add('0');
  FTC_Arr[0]:=0;
  CkLB_filetypes.Items.Add('---');
  For i:=1 to filetypes-1 Do
    Begin
      LB_FileTypesCnt.Items.Add('0');
      FTC_Arr[i]:=0;
      CkLB_filetypes.Items.Add(fullfiletype[i]);
    End;
  lastprov:=0;
  lastlang:=0;
  temp0:=0;
  temp1:=9750000;//LOF1
  temp2:=11700000;//LOFSW
  temp3:=10600000;//LOF2
  DVBCardType:=0;//TT-DVB-card as preset
  UseFTC_on:=True;//preset: FileTypesCounter on...
  Getdir(0,s);
  if (s[Length(s)]<>'\') Then s:=s+'\';
  if FileExists(MainININame) Then
    Begin
      MainIni:=TMemIniFile.Create(s+MainININame);
      ver:=MainIni.ReadInteger( 'Main','IniVersion',800);
      MainIni.Free;
    End;
  if (ver>=900) Then
    Begin
      MainIni:=TMemIniFile.Create(s+MainININame);
      With MainIni Do
        Begin
          if (ver<=LINETVersion) And (ver>=900) Then
            Begin //changes/settings:version 9.00
              //section [Main]
              s:='Main';
              lastlang:=ReadInteger(s,'LastLanguage',0);
              cnt:=ReadInteger(s,'ProviderCount',0);
              //section [SourceBox]
              s:='SourceBox';
              lastprov:=ReadInteger(s,'Provider',0);
              temp1:=ReadInteger(s,'LOF1',9750000);
              temp2:=ReadInteger(s,'LOFSW',11700000);
              temp3:=ReadInteger(s,'LOF2',10600000);
              //section(s) [ProviderXY]
              //clean listboxes
              CbB_provider.Items.Clear;
              LB_freq.Items.Clear;
              LB_pol.Items.Clear;
              LB_symb.Items.Clear;
              LB_DiSEqC.Items.Clear;
              LB_PID.Items.Clear;
              LB_FEC.Items.Clear;
              LB_Format.Items.Clear;
              LB_cut.Items.Clear;
              //add Provider if necessary
              if cnt>0 Then
                For i:=1 To cnt Do
                  Begin
                    s:='Provider'+Format('%.2u',[i]);
                    CbB_provider.Items.Add(
                      ReadString(s,'Name','Unknown'));
                    LB_freq.Items.Add(IntToStr(
                      ReadInteger(s,'Freq',0)));
                    LB_pol.Items.Add(
                      ReadString(s,'Pol','H'));
                    LB_symb.Items.Add(IntToStr(
                      ReadInteger(s,'Symb',0)));
                    LB_DiSEqC.Items.Add(
                      ReadString(s,'DiSEqC','0'));
                    LB_PID.Items.Add(IntToStr(
                      ReadInteger(s,'PID',0)));
                    LB_FEC.Items.Add(IntToStr(
                      ReadInteger(s,'FEC',0)));
                    LB_Format.Items.Add(IntToStr(
                      ReadInteger(s,'Format',0)));
                    LB_cut.Items.Add(
                      ReadString(s,'CutValue','B8'));
                  End;
              //section [StreamBox]
              s:='StreamBox';
              CkB_MAC.Checked:=
                ReadBool(s,'UseMACFilter',False);
              CkB_SupportFilter.Checked:=
                ReadBool(s,'UseSupportFilter',False);
              //section [SpeedBox]
              s:='SpeedBox';
              CkB_dontup.Checked:=
                ReadBool(s,'DontUpdateDisplay',False);
              CkB_displaystat.Checked:=
                ReadBool(s,'DontDisplayStat',False);
              //section [DirBox]
              s:='DirBox';
              E_dir.Text:=ReadString(s,'WorkDirectory','');
              E_outdir.Text:=ReadString(s,'OutDirectory','');
              CkB_incdir.Checked:=
                ReadBool(s,'UseIncompleteDirectory',False);
              E_incdir.Text:=
                ReadString(s,'IncompleteDirectory','');
              CkB_sort.Checked:=
                ReadBool(s,'SortFilesInDirectories',False);
              CkB_fileinfo.Checked:=
                ReadBool(s,'WriteFileListTXT',True);
              CkB_csv.Checked:=
                ReadBool(s,'WriteFileListCSV',False);
              //section [FileTypesBox]
              s:='FileTypesBox';
              cnt:=ReadInteger(s,'FileTypesCount',0);
              if cnt>0 Then
                For i:=1 To cnt Do
                  CkLB_filetypes.Checked[ReadInteger(s,
                    Format('%.2u',[i]),0)]:=True;
              CkLB_filetypesClickCheck(@self);
              //section [FileBox]
              s:='FileBox';
              CkB_minfile.Checked:=
                ReadBool(s,'UseMinFile',False);
              E_minfile.Text:=IntToStr(
                ReadInteger(s,'MinFileSize',16384));
              CkB_maxfile.Checked:=
                ReadBool(s,'UseMaxFile',False);
              E_maxfile.Text:=IntToStr(
                ReadInteger(s,'MaxFileSize',100000));
              CkB_uknfile.Checked:=
                ReadBool(s,'DontWriteUnknown',False);
              CkB_timeout.Checked:=
                ReadBool(s,'UseFileTimeout',True);
              E_timeout.Text:=IntToStr(
                ReadInteger(s,'FileTimeout',600));
              //section [ExpertBox]
              s:='ExpertBox';
              CkB_LimitFilelist.Checked:=
                ReadBool(s,'LimitFilelist',False);
              E_LimitFilelist.Text:=IntToStr(
                ReadInteger(s,'FilelistSize',1000));
              CkB_chksumoff.Checked:=
                ReadBool(s,'ChksumOff',False);
              CkB_SrvKillOff.Checked:=
                ReadBool(s,'AutoServerKillOff',False);
              temp0:=1;//Don't show Credits again...
            End;
          if (ver<=LINETVersion) And (ver>=902) Then
            Begin
              //section [Main]
              s:='Main';
              DVBCardType:=ReadInteger(s,'DVBCardType',0);
              s:='FileTypesBox';
              UseFTC_on:=ReadBool(s,'UseFTC',True);
            End;
          if (ver<=LINETVersion) And (ver>=903) Then
            Begin
              //section [ExpertBox]
              s:='ExpertBox';
              CkB_AutoWorkCleanOff.Checked:=ReadBool(
                s,'AutoWorkDirCleanOff',False);
            End;
          //newer version-updates will be simply added here...
          //eg. "if (ver<=LINETVersion) And (ver>=910) Then ..."
        End;
      MainIni.Free;
    End;
  //Update card-choise
  if (DVBCardType=0) Then
    RB_TTDVB.Checked:=True
   Else
    RB_B2C2.Checked:=True;
  //Load language
  LoadIni;
  if lastlang>CbB_Lang.Items.Count Then
    lastlang:=0;
  CbB_Lang.ItemIndex:=lastlang;
  L_Lang.Caption:=CbB_Lang.Items[CbB_Lang.ItemIndex];
  //Translate mainform (set language)...
  Translate_LiveInet;
  //done (the other OnFormCreates had to do the rest)
  //prepair SpeedUp-Box
  CkB_dontupClick(@self);//update "updateform_off"
  CkB_displaystatClick(@self);//update "displaystat_off"
  //done
  //prepair File-Box
  minfile_on:=CkB_minfile.Checked;
  minfilesize:=StrToInt(E_minfile.Text);
  maxfile_on:=CkB_maxfile.Checked;
  maxfilesize:=StrToInt(E_maxfile.Text);
  uknsize_off:=CkB_uknfile.Checked;
  CkB_timeoutClick(@self);//update timeout
  //done
  //prepair Filetypes-Box
  UseFTC_on:=Not UseFTC_on;//invert for "click-simulation"
  L_FTCClick(@self);
  //done
  //prepair Expert-Box
  limitfilelist_on:=CkB_LimitFileList.Checked;
  filelistsize:=StrToInt(E_LimitFileList.Text);
  chksum_on:=Not CkB_Chksumoff.Checked;
  //done
  //some translations and presets ;)
  L_status1.Caption:=msg_var_notavailable;
  L_status2.Caption:=msg_var_notavailable;
  L_status3.Caption:=msg_var_notavailable;
  L_status4.Caption:=msg_var_notavailable;
  kill_application:=False;
  stop_stream:=True;
  MACFilterList:=NIL;
  lastMACfilter:=NIL;
  firstMACfilter:=NIL;
  MACFilterCount:=0;
  CbB_provider.ItemIndex:=lastprov;//confirmed in "startdvb"
end;

procedure TLiveInetClass.CkLB_filetypesClickCheck(Sender: TObject);
var i,j:integer;
begin
  For i:=(-1) To filetypes Do filetypelist[i]:=0;
  j:=-1;
  For i:=0 To filetypes-1 Do
    if CkLB_filetypes.Checked[i] Then
      Begin
        Inc(j);
        filetypelist[j]:=i;
      End;
  {Entry -1 of array reserved for count}
  if (j>-1) Then filetypelist[-1]:=j+1;
end;

function  TLiveInetClass.GetTCPIPHead(var buf;len:Integer;
            var datalength:Word;
            var srcip:DWord;var srcport:Word;
            var destip:DWord;var destport:Word;
            var sequence,nextseq:DWord;
            var finish:Boolean;var startpos:LongInt):Boolean;
var chksum,chklen:Integer;
    i,j,off,tlen:Word;
    proto:Byte;
    p:PByteArray;
    bp,bp1,bp2:BytePointer;
    wp:WordPointer;
//    PIP:PT_IPHeader;
//    PTCP:PT_TCPHeader;
Begin
  p:=@buf;
  Result:=False;
  finish:=False;//indicator for other protocol than tcp
                //to aviod packet-defect-count for e.g. UDP
  off:=12;{offset for TCPIP-head}
{  PIP:=@p^[off+0-1];//}
  //check if data is valid IPv4-Protocol (IPv6 not supported)
{  if Not ((PIP^.IPver_IHL And $F0)=$40) Then Exit;//}
  if Not ((Byte(p^[off+0-1]) And $F0)=$40) Then Exit;//}
  //IP-MPE-packet seem to be ok. lets check further...
{  i:=(PIP^.IPver_IHL And $0F)*4;//save offset for tcp}
  i:=(Byte(p^[off+0-1]) And $0F)*4;//save offset for tcp}
  //Get-IP-data...
  // Info: memory-organization:
  // (we need this if we work with pointers and variables)
  // Word,Integer,In64: we have to write lowest byte first,
  // then the next higher byte...
  // (e.g. Word $05DC --> Mem $DC05))
  // Info end
  //--------------------------------------------------------
{//NEW
  //check if the next-level-protocol is REALLY TCP:
  proto:=PIP^.Protocol;
  if (proto<>6) Then
    Begin
      //we have to be sure that this packed doesn't count
      //as "defect" !!
      finish:=True;
      Exit;
    End;
  //done
//NEW-END}
  //get TotalLength of IP-Packet... -->tlen
{  tlen:=Swap(PIP^.TotalLen);//}
  bp:=@tlen;
  bp^:=Byte(p^[off+3-1]);Inc(bp);
  bp^:=Byte(p^[off+2-1]);
  //done}
  datalength:=tlen;
  if tlen+off-1>len Then Exit;
  //get protocol (for checksum)
  proto:=Byte(p^[off+9-1]);
//OLD-UPDATE
  //check if the next-level-protocol is REALLY TCP:
  if (proto<>6) Then
    Begin
      //we have to be sure that this packed doesn't count
      //as "defect" !!
      finish:=True;
      Exit;
    End;
  //done
//OLD-UPDATE-END}
  //done
  //get source IP-Address... -->srcip
{  srcip:=PIP^.SourceAdr;//}
  bp:=@srcip;
  bp^:=Byte(p^[off+15-1]);Inc(bp);
  bp^:=Byte(p^[off+14-1]);Inc(bp);
  bp^:=Byte(p^[off+13-1]);Inc(bp);
  bp^:=Byte(p^[off+12-1]);
  //done }
  //get destination IP-Address... -->destip
{  destip:=PIP^.DestinAdr;//}
  bp:=@destip;
  bp^:=Byte(p^[off+19-1]);Inc(bp);
  bp^:=Byte(p^[off+18-1]);Inc(bp);
  bp^:=Byte(p^[off+17-1]);Inc(bp);
  bp^:=Byte(p^[off+16-1]);
  //done}
  off:=off+i;
  if i>datalength Then Exit;//Packet defect!!!
  datalength:=datalength-i;
  //Get TCP-data...
  wp:=@p^[off+0-1];//save pointer addr. for TCP-Chksum chk...
{  PTCP:=@p^[off+0-1];//}
  //get souce port... -->srcport
{  srcport:=Swap(PTCP^.SourcePort);//}
  bp:=@srcport;
  bp^:=Byte(p^[off+1-1]);Inc(bp);
  bp^:=Byte(p^[off+0-1]);
  //done}
  //get destination port... -->destport
{  destport:=Swap(PTCP^.DestinPort);//}
  bp:=@destport;
  bp^:=Byte(p^[off+3-1]);Inc(bp);
  bp^:=Byte(p^[off+2-1]);//}
  //get sequence number... -->sequence
{  sequence:=(Swap(Lo(PTCP^.Sequencenr))SHL 16)+
             Swap(Hi(PTCP^.Sequencenr));//}
  bp:=@sequence;
  bp^:=Byte(p^[off+7-1]);Inc(bp);
  bp^:=Byte(p^[off+6-1]);Inc(bp);
  bp^:=Byte(p^[off+5-1]);Inc(bp);
  bp^:=Byte(p^[off+4-1]);
  //done}
  //NetSystem-packet-repair should be done before ChkSum...
  if CkB_NetSysRepair.Checked And //use option
    (format_nr=1) And //NetSystem data
    Not CkB_MAC.Checked //this is not necessary for MAC-ftr
    Then
    Begin
      //bytepoiter @ last data byte (+1 byte more "r-byte")
      bp:=@p^[11+tlen+1];
      //set "countdown" counter for backward-check
      i:=3;
      bp1:=NIL;
      While ((i<$FF) And (i<tlen)) Do
        Begin
          Dec(bp);//decrease bytepointer
          Inc(i);//one byte more...
          //check if byte must be removed ("r-byte")
          if (bp^=i) And
             (i<>$3D) And (i<>$20) And
             (i<>$26) And (i<>$3C) And
             (i<>$0A) And (i<>$53) And
             (i<>$3E) And (i<>$72) And
             (i<>$74) And (i<>$67)
             Then //found possible r-byte :)
            //save current pointer position
            Begin
              bp1:=bp;
              j:=i;
              i:=$FF;
            End;
        End;
      if (bp1<>NIL) Then
        Begin
          //move data-memory backward by one byte and
          //overwrite "r-byte"
          bp2:=bp1;
          Inc(bp2);//set data-source-address
          MoveMemory(bp1,bp2,i);
          p^[11+tlen+2]:=Byte(j);
        End;
    End;
  //done
  if chksum_on Then
    //we should check if the checksum for the dataload is ok
    Begin
      //partly ported from linux netkit(ping-program) source
      //
      //at first we should sum the "virtual tcp header"
      //(contains: sourceIP,destinationIP,zerobyte,protocol,
      // word(tcplength))
      chksum:=srcip SHR 16;
      chksum:=chksum+(srcip And $FFFF);
      chksum:=chksum+(destip SHR 16);
      chksum:=chksum+(destip And $FFFF);
      chksum:=chksum+proto;
      chksum:=chksum+datalength;
      //next follows the tcpheader and data addition
      chklen:=datalength;
      //bp2 is already set to startpos of tcp-head(see above)
      While (chklen>1) Do
        Begin
          chksum:=chksum+Swap(wp^);Inc(wp);
          Dec(chklen,2);
        End;
      if (chklen=1) Then
        chksum:=chksum+((wp^ And $FF) SHL 8);
      chksum:=(chksum SHR 16)+(chksum And $FFFF);
      chksum:=chksum+(chksum SHR 16);
      chksum:=chksum And $FFFF;
      if (chksum<>$FFFF) Then //checksum not ok!
        Begin
          Inc(pktchksumerr);
//DEBUG-START
//          i:=((Byte(p^[off+12-1]) And $F0) SHR 4)*4;
          if CkB_DebugChkSum.Checked Then
          Begin
          Try{StartOfTry}
            //write data to debugfile
            debugfile1.Write(p^[11],tlen+5);
          Except
            //no errormessages needed...
          End; {EndOfTry}
          End;
//DEBUG-END
          Exit;//Packet defect!!!
        End;
    End;
  i:=((Byte(p^[off+12-1]) And $F0) SHR 4)*4;
  //Last packet of sequence?
  finish:=((Byte(p^[off+13-1]) And $01)=1);
  startpos:=off+i;
  if i>=datalength Then Exit;//Packet defect!!!
  datalength:=datalength-i;
  //calculate next sequence nr.
  nextseq:=DWord(sequence+DWord(datalength));
  if (SmallInt(datalength)<0) Then Exit;
  //all ok: result should be true...
  Result:=True;
End;

function  TLiveInetClass.GetMACAddress(var buf;len:Integer):Int64;
var off:Word;
    p:PByteArray;
    bp:BytePointer;
Begin
  p:=@buf;
  {MAC = MediaAccessControl-Address}
  off:=2;{offset for MAC-Address}
  Result:=0;//clean return value
  if len<13 Then exit;//prevent err(not absolutly necessary)
  bp:=@Result;// set bp to address of return value
  bp^:=Byte(p^[off+0]); Inc(bp); //Int64:(8 Byte):--X-----
  bp^:=Byte(p^[off+1]); Inc(bp); //Int64:(8 Byte):---X----
  bp^:=Byte(p^[off+5]); Inc(bp); //Int64:(8 Byte):----X---
  bp^:=Byte(p^[off+6]); Inc(bp); //Int64:(8 Byte):-----X--
  bp^:=Byte(p^[off+7]); Inc(bp); //Int64:(8 Byte):------X-
  bp^:=Byte(p^[off+8]);          //Int64:(8 Byte):-------X
  {e.g. MAC 00-02-C1-AB-CD-EF --> $000002C1ABCDEF (Int64)}
End;

function PosContLen(p:PByteArray;len:Integer):Integer;
var i:Integer;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=0;//if nothing is found...(similar to old Pos(s2,s))
  For i:=0 To len-1-14 Do //scan for "Content-Length:"
    if (p^[0]  in [$43,$63]) And //C or c
       (p^[1]  in [$4F,$6F]) And //O or o
       (p^[2]  in [$4E,$6E]) And //N or n
       (p^[3]  in [$54,$74]) And //T or t
       (p^[4]  in [$45,$65]) And //E or e
       (p^[5]  in [$4E,$6E]) And //N or n
       (p^[6]  in [$54,$74]) And //T or t
       (p^[7]=$2D)           And //-
       (p^[8]  in [$4C,$6C]) And //L or l
       (p^[9]  in [$45,$65]) And //E or e
       (p^[10] in [$4E,$6E]) And //N or n
       (p^[11] in [$47,$67]) And //G or g
       (p^[12] in [$54,$74]) And //T or t
       (p^[13] in [$48,$68]) And //H or h
       (p^[14]=$3A)              //:
       Then
         Begin
           Result:=i+1;
           Exit;//stop loop now!!
         End
        Else
          p:=@p^[1];
End;

function PosContType(p:PByteArray;len:Integer):Integer;
var i:Integer;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=0;//if nothing is found...(similar to old Pos(s2,s))
  For i:=0 To len-1-12 Do //scan for "Content-Type:"
    if (p^[0]  in [$43,$63]) And //C or c
       (p^[1]  in [$4F,$6F]) And //O or o
       (p^[2]  in [$4E,$6E]) And //N or n
       (p^[3]  in [$54,$74]) And //T or t
       (p^[4]  in [$45,$65]) And //E or e
       (p^[5]  in [$4E,$6E]) And //N or n
       (p^[6]  in [$54,$74]) And //T or t
       (p^[7]=$2D)           And //-
       (p^[8]  in [$54,$74]) And //T or t
       (p^[9]  in [$59,$79]) And //Y or y
       (p^[10] in [$50,$70]) And //P or p
       (p^[11] in [$45,$65]) And //E or e
       (p^[12]=$3A)              //:
       Then
         Begin
           Result:=i+1;
           Exit;//stop loop now!!
         End
        Else
          p:=@p^[1];
End;

function  TLiveInetClass.ScanHTTPHeader(var entry:PT_File_Info;
            var buf;len:Integer;
            mac:Int64;srcip:DWord;srcport:Word;
            destip:DWord;destport:Word;nextseq:DWord):Boolean;
var i,j,k,fsize:Integer;
    p:PByteArray;
    s:String;
    MACentry:PT_MAC_Info;
Begin
  p:=@buf;
  Result:=False;
  if limitfilelist_on And
    (dbcount_limit>filelistsize-1) Then Exit;
  if Not(((Byte(p^[9])>=48)  And (Byte(p^[9])<=57))  And
         ((Byte(p^[10])>=48) And (Byte(p^[10])<=57)) And
         ((Byte(p^[11])>=48) And (Byte(p^[11])<=57)))
     Then Exit;// Header defect: no status!
  Case Byte(p^[9])-48 Of
    2:if (Byte(p^[11])-48=4) Then Exit;
    3,4,5:Exit;//SPAM-status
  End;
  i:=PosContLen(@p^[0],len)+15;
  s:='';
  if i>15 Then
    Begin
      Repeat
        if (Byte(p^[i-1])>=48) And
           (Byte(p^[i-1])<=57) Then s:=s+Chr(Byte(p^[i-1]));
        Inc(i);
      Until (p^[i-1]=$0D) Or (p^[i-1]=$0A) Or
            (Length(s)>=10);
      if (Length(s)>=10) Or (Length(s)=0) Then
        fsize:=DWord(-1)
       Else
        fsize:=DWord(StrToInt(s));
    End
   Else
    fsize:=DWord(-1);
  if (fsize=0) Then Exit;//SPAM-status
  if minfile_on And (fsize<minfilesize) Then Exit;
  if maxfile_on And (fsize>maxfilesize) Then Exit;
  if uknsize_off And (fsize=DWord(-1)) Then Exit;
  j:=0;//Preset Filetype ".ukn"
  i:=PosContType(@p^[0],len);
  if i<>0 Then
    Begin
      Repeat
        Inc(j);
        k:=Length(fullfiletype[j]);
        SetLength(s,k);
        CopyMemory(@s[1],@p^[i-1+14],k);
      Until (j>filetypes-2) Or (LowerCase(s)=fullfiletype[j]);
      if j>filetypes-2 Then j:=0;
    End;
  //update FTC if active...
  if UseFTC_on Then Inc(FTC_Arr[j]);
  //done
  i:=-1;
  Repeat
    Inc(i);
  Until (i>filetypelist[-1]-1) Or (filetypelist[i]=j);
  //Check if Filetype is in accept-list, if not --> exit
  if i>filetypelist[-1]-1 Then Exit;
  MACentry:=GetMACentry(mac);//allocate new mac if necessary
  if (MACentry=NIL) Then Exit;//outofmemory!!!
  entry:=NewFileListEntry(MACentry);//Allocate DB-Entry
  if (entry=NIL) Then Exit;//outofmemory!!!
  entry^.sequence:=nextseq;//set new sequence for next packet
  //Begin source socket
  entry^.srcip   :=srcip;
  entry^.srcport :=srcport;
  //End
  //Begin destination socket
  entry^.destip  :=destip;
  entry^.destport:=destport;
  //End
  entry^.timeout :=False;//Reset timeout-mark
  Inc(filename);//"Allocate" new filename
  entry^.filename:=filename;//set new filename for this file
  entry^.fileext :=j;//fileextension as integer
  entry^.filecur :=0;//current data position of the file
  entry^.filesize:=fsize;//size of the file (or unknown)
  Result:=True;
End;

function  TLiveInetClass.Do_FIN(var entry:PT_File_Info;
            mac:Int64;oldname:String):String;
var s,s2:String;
Begin
  //set s to out-directory + "\"
  if CkB_sort.Checked Then
    Begin
      s:=E_outdir.Text+Copy(Hex64(mac),5,12);
      If Not DirectoryExists(s) Then
        Mkdir(s);
      s:=s+'\';
    End
   Else
    Begin
      s:=E_outdir.Text;
      //check if more than one out-dir exists and use it...
      if outdircnt>1 Then
        Begin
          //its not optimal, but its simple (remove "\") we
          // have to add a number to the directory-name
          if (s[Length(s)]='\') Then
            s:=Copy(s,1,Length(s)-1);
          s:=s+IntToStr(outdircnt)+'\';
        End;
    End;
  //Add filename to s
  s:=s+HexLong(entry^.filename)+'.'+filetype[entry^.fileext];
  if FileExists(s) Then DeleteFile(s);
  if RenameFile(oldname,s) Then ;
  if ((filedone DIV 32000)>outdircnt-1) And
     (not CkB_sort.Checked) Then
    Begin
      //Out-dir seem to be full (32000(max32767) files(W9x/ME))
      //We have to be sure that the directory is not really
      //full (767 files are free)
      s2:=E_outdir.Text;
      if (s2[Length(s2)]='\') Then
        s2:=Copy(s2,1,Length(s2)-1);
      Inc(outdircnt);
      s2:=s2+IntToStr(outdircnt);
      //We should make a new directory (if it doesn't exist)
      If Not DirectoryExists(s2) Then
        Mkdir(s2);
    End;
  Result:=s;
End;

function  TLiveInetClass.fileend(var entry:PT_File_Info;
                                 datalen:Word):Boolean;
Begin {detect fileend with current file position, datalen
       and filesize}
  fileend:=(Integer(entry^.filesize)>0) And
    ((entry^.filesize-entry^.filecur)<=datalen);
End;

procedure TLiveInetClass.UpdateStatus(pktcnt,pktdef,pktuse:Int64;
            filecnt,filedone,filetimeout,filesizeerr:DWord);
Begin
  L_status1.Caption:=
    IntToStr(pktcnt)+'/'+
    IntToStr(pktuse)+'/'+
    IntToStr(pktdef)+'('+
    IntToStr(pktchksumerr)+')/'+
    IntToStr(pktcnt-pktdef-pktuse);
  L_status2.Caption:=
    IntToStr(http_cont);
  L_status3.Caption:=
    IntToStr(dbcount)+'/x';
  L_status4.Caption:=
    IntToStr(filecnt)+'/'+
    IntToStr(filecnt-filedone-filetimeout-filesizeerr)+'/'+
    IntToStr(filedone)+'/'+
    IntToStr(filetimeout)+'/'+
    IntToStr(filesizeerr);
End;

procedure TLiveInetClass.FileInfoUp(var entry:PT_File_Info);
Begin
  With entry^ Do
  Begin {START ENTRY}
  if CkB_fileinfo.Checked Then
    WriteLn(f3,
     Format('%.8x.%3s %10d/%10d %.12x'+
            ' %3u.%.3u.%.3u.%.3u:%u'+
            '   %3u.%.3u.%.3u.%.3u:%u',
            [filename,filetype[fileext],
            filecur,filesize,
            OwnedByMAC^.mac,
            (srcip SHR 24) And $FF,
            (srcip SHR 16) And $FF,
            (srcip SHR  8) And $FF,
            (srcip SHR  0) And $FF,
            srcport,
            (destip SHR 24) And $FF,
            (destip SHR 16) And $FF,
            (destip SHR  8) And $FF,
            (destip SHR  0) And $FF,
            destport]));
  if CkB_csv.Checked Then
    WriteLn(f4,
      Format('%.8x.%3s,%d,%d,%.12x,'+
             '%u.%.3u.%.3u.%.3u,%u,'+
             '%u.%.3u.%.3u.%.3u,%u',
             [filename,filetype[fileext],
             filecur,filesize,
             OwnedByMAC^.mac,
             (srcip SHR 24) And $FF,
             (srcip SHR 16) And $FF,
             (srcip SHR  8) And $FF,
             (srcip SHR  0) And $FF,
             srcport,
             (destip SHR 24) And $FF,
             (destip SHR 16) And $FF,
             (destip SHR  8) And $FF,
             (destip SHR  0) And $FF,
             destport]));
  End; {END ENTRY}
End;

function PosHTTP(p:DWordPointer;len:Integer):Integer;
  //set "HTTP" as Dword-signature
  //(Remember: e.g. DWord($1234ABCD) --> MEM($CDAB3412))
const http=$50545448;// $50=P; $54=T; $54=T; $48=H (PTTH)
var i:Integer;
    pdw:DWordPointer;
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=0;//if nothing is found...(similar to old Pos(s2,s))
  pdw:=p;
  For i:=0 To len-1-3 Do
    if (DWord(pdw^)=http) Then
      Begin
        Result:=i+1;
        Break;//stop loop now!!
      End
     Else
      //WARNING: DON'T USE "Inc" HERE!!!
      //(If you use it the pointer will be increased by
      // type-length (e.g. DWord=4) and NOT bytewise!!)
      pdw:=Ptr(DWord(pdw)+1);
End;

function Pos0D0A0D0A(p:DWordPointer;len:Integer):Integer;
  //set $0D0A0D0A as Dword-signature
  //(Remember: e.g. DWord($1234ABCD) --> MEM($CDAB3412))
const data=$0A0D0A0D;// CR-LF-CR-LF (DOS/Win-format)
var i:Integer;
    pdw:DWordPointer;
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=0;//if nothing is found...(similar to old Pos(s2,s))
  pdw:=p;
  For i:=0 To len-1-3 Do
    if (DWord(pdw^)=data) Then
      Begin
        Result:=i+1;
        Break;//stop loop now!!
      End
     Else
      //WARNING: DON'T USE "Inc" HERE!!!
      //(If you use it the pointer will be increased by
      // type-length (e.g. DWord=4) and NOT bytewise!!)
      pdw:=Ptr(DWord(pdw)+1);
End;

function Pos0A0A(p:WordPointer;len:Integer):Integer;
  //set $0A0A as Word-signature
  //(Remember: e.g. Word($1234) --> MEM($3412))
const data=$0A0A;// LF-LF (Unix,Linux-format)
var i:Integer;
    pw:WordPointer;
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=0;//if nothing is found...(similar to old Pos(s2,s))
  pw:=p;
  For i:=0 To len-1-1 Do
    if (Word(pw^)=data) Then
      Begin
        Result:=i+1;
        Break;//stop loop now!!
      End
     Else
      //WARNING: DON'T USE "Inc" HERE!!!
      //(If you use it the pointer will be increased by
      // type-length (e.g. DWord=4) and NOT bytewise!!)
      pw:=Ptr(DWord(pw)+1);
End;

procedure TLiveInetClass.MPE_TCPIP_Scan(var buf;len:Integer);
const off=3;
Var mac:Int64;
    p:PByteArray;
    i,j,k,dataindex:LongInt;
    srcip,destip,sequence,nextseq:DWord;
    srcport,destport,datalen:Word;
    fin,done:Boolean;
    s:string;
    outfile:TFileStream;
    entry:PT_File_Info;
Begin
  p:=@buf;
  //further MPE-check removed: not needed anymore
  if GetTCPIPHead(buf,len,datalen,
                  srcip,srcport,destip,destport,
                  sequence,nextseq,fin,dataindex)
    Then
     {TCPIP-Head and Data is OK!!}
      Begin
        {Get MediaAccessControll-Address}
        mac:=GetMACAddress(buf,len);
        //set p to data-start of the tcpip-packet
        p:=@p^[dataindex-1];
        {Scan data base for mac,srcip,srcport,...}
        Repeat //for non continued-continuemarker
        done:=True;//to end loop (until)
        if ScanDBList(mac,srcip,srcport,destip,destport,
                      sequence,nextseq,entry) Then
          Begin {CONT START}{Known file continued...}
            Inc(pktuse);{increase packets used count}
            entry^.sequence:=nextseq;{setting next seq. nr}
            //Data was in time --> reset timeout-mark!!!
            entry^.timeout:=False;
            s:=E_dir.Text+
               HexLong(entry^.filename)+'.'+
               filetype[entry^.fileext];
            //determine bytes to write if fileend -->i
            if (entry^.filesize>=0) And
              (fileend(entry,datalen)) Then
              i:=entry^.filesize-
                 entry^.filecur
             Else
              i:=datalen;
            //too-small-file check:
{MINFILE-BLOCKER:OFF           if FIN And (minfile_on And (minfilesize>i)) Then
              Begin //file too small to finish ...
                //Delete started file
                Inc(filesizeerr);
                if FileExists(s) Then DeleteFile(s);
                DelFileListEntry(entry,True);
                Done:=False;//activate rescan (jump)
                Continue;
              End;
}
            if FIN Or fileend(entry,datalen) Then
              {sequence and/or file ends with this packet}
              s:=Do_FIN(entry,mac,s);
            try{StartOfTry}
            outfile:=TFileStream.Create(s,fmOpenWrite Or
              fmShareDenyNone);
            outfile.Seek(0,soFromEnd);
            if FIN Or fileend(entry,datalen) Then
             {File ends in this packet}
              Begin {FIN START}
                //write data to file
                outfile.Write(p^[0],i);
                Inc(filedone);{increase files done}
                entry^.filecur:=entry^.filecur+i;
                {fileinfo list update(txt,csv}
                FileInfoUp(entry);
                DelFileListEntry(entry,True);
                done:=False;{activate jump ...}
              End {FIN END}
             Else {File continues normal}
              Begin
                //write data to file
                outfile.Write(p^[0],datalen);
                entry^.filecur:=entry^.filecur+datalen;
              End;
            FileClose(outfile.Handle);
            outfile.Free;
            except
              Begin
                MessageDlg(msg_err_couldnotopen+#13+
                  '"'+s+'"', mtError,[mbOk],0);
                B_stopClick(@self);//quit streaming
              End;
            End; {EndOfTry}
          End {CONT END}
         Else {May be a new file?}
          Begin {HTTP START}
           {HTTP-Scanner }
            i:=PosHTTP(@p^[0],datalen);
            if (i>0) Then
              {HTTP-signature found proceeding...}
              Begin {HTTPSIG START}
                p:=@p^[i-1];//set p to HTTP-Header begin
                datalen:=datalen-i+1;//recalculate datalen
                j:=Pos0D0A0D0A(@p^[0],datalen)+4;//Dos&Win
                if j=4 Then
                  j:=Pos0A0A(@p^[0],datalen)+2;// Unix&Linux
                if (j>2) And (j<=datalen+1) Then
                  {EndOfHTTPHeader (EOHH) found}
                  Begin {EOHH START}
                    {Get type and length}
                    if ScanHTTPHeader(entry,p^[0],j,mac,
                      srcip,srcport,destip,destport,nextseq)
                      Then
                      Begin {SHTTP START}
                        p:=@p^[j-1];//set p to data-position
                        datalen:=datalen-j+1;//renew datalen
                        Inc(pktuse);//increase packets used
                        s:=E_dir.Text+HexLong(entry^.filename)+
                           '.'+filetype[entry^.fileext];
                        if (entry^.filesize>=0) And
                          (fileend(entry,datalen)) Then
                          i:=entry^.filesize-
                             entry^.filecur
                         Else
                          i:=datalen;
                        if FIN Or fileend(entry,datalen) Then
                          {sequence and file ends with this
                           packet}
                          Begin
                            s:=Do_FIN(entry,mac,s);
{MINFILE-BLOCKER:OFF                            if minfile_on And
                              (minfilesize>i) Then
                              Begin
                                Inc(filesizeerr);
                                DelFileListEntry(entry,True);
                                Done:=False;//activate rescan (jump)
                                Continue;
                              End;
}
                          End;
                        try
                        outfile:=TFileStream.Create(s,
                          fmCreate Or fmShareDenyNone);
                        outfile.Seek(0,soFromEnd);
                        if FIN Or fileend(entry,datalen) Then
                          {File ends in this packet}
                          Begin {FIN START}
                            //write data to file
                            outfile.Write(p^[0],i);
                            Inc(filedone);//incr. files done
                            entry^.filecur:=entry^.filecur+i;
                            {fileinfo list update(txt,csv}
                            FileInfoUp(entry);
                            DelFileListEntry(entry,True);
                          {jump function may be dangerous...}
                          End {FIN END}
                         Else {File continues normal}
                          if j<>k Then
                          Begin
                            //write data to file
                            outfile.Write(p^[0],datalen);
                            entry^.filecur:=entry^.filecur+
                              datalen;
                          End;
                        FileClose(outfile.Handle);
                        outfile.Free;
                        except
                          Begin
                            MessageDlg(
                              msg_err_couldnotcreate+#13+
                              '"'+s+'"', mtError,[mbOk],0);
                            B_stopClick(@self);//quit streaming
                          End;
                        End; {EndOfTry}
                      End;{SHTTP END}
                  End {EOHH END}
                 Else {EOHH not found!}
                  Inc(http_cont);//increase HTTPHead defect
              End;{HTTPSIG END}
          End;{HTTP END}
        Until done;
      End
     Else
      Begin
        if Not fin Then
          Inc(pktdef); //packet simply defect...
      End;
End;

function Pos3E(p:PByteArray;len:Integer):Integer;
var i:Integer;
    p1,p2,p3:BytePointer;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with INPUT-len/pointers!!!}
Begin
  Result:=-1;//if nothing is found...(similar to old Pos(s2,s))
  p1:=@p[0];
  p2:=@p[1];
  p3:=@p[5];
  For i:=0 To len-1 Do //we check for MPE-Header now
    if ( p1^         =$3E) And
       ((p2^) And $30=$30) And
       ( p3^         =$C1) // may be "C1" will be removed
       Then //MPE-Header is Okay!!
         Begin
           Result:=i;
           Break;//stop loop now!!
         End
        Else
         Begin
           Inc(p1);
           Inc(p2);
           Inc(p3);
         End;
End;

{DVB-Sat-Data-Input via CallBack-procedure}
procedure CallBack(var buf;len_in:integer);stdcall;
var bp:PByteArray;
    p2:BytePointer;
    i,len,nextpos:integer;
    pkt_len:Word;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with copymem/pointers!!!}
Begin
  len:=len_in;
  bp:=@buf;//set pointer bp to address of input data (buf)
  if cache_packet Then
    Begin
      cache_packet:=False;//reset cache marker
      CopyMemory(@cache^[cache_len],bp,cache_rest);
      cache_len:=cache_len+cache_rest;
      //call sub proc MPE_TCPIP_Scan
      if not stop_stream Then
        LiveInetClass.MPE_TCPIP_Scan(cache^[0],cache_len);
    End;
  nextpos:=-1;
  Repeat {Get and extract next packet}
    if (nextpos=-1) Then
      i:=Pos3E(bp,len) //get MPE start position...
     Else
      i:=nextpos; //use next-position from last cycle
    if (i=-1) Then Continue;//quit loop
    Inc(pktcnt);
    if (len-i-1<=2) Then
      Begin //should never be true,but for safety...
            //(drop border packets)
        i:=-1;//quit loop
        Continue;
      End;
    //Shift pointer with offset 2 for the next MPE search
    bp:=@bp^[i+1];
    //bp^[0] is now acceptable @ MPE-data-position - 2
    len:=len-i-1;//calculate new length of rest buffer
    //Get length for MPE-Packet from header -->pkt_len
    p2:=@pkt_len;
    p2^:=Byte(bp^[1]);Inc(p2);
    p2^:=Byte(bp^[0]) And $0F;
    //done
    //check if next packet follows to early
    i:=Pos3E(bp,len);
    if (i>-1) And (i+1<pkt_len-2) Then
      Continue; //packet truncated: not useable
    nextpos:=i;
    //only for safety
    if pkt_len=0 Then //packet not useable
      Continue;
    //check if packet is continued in next block or not
    if pkt_len-2>len Then
      Begin
        //rescue half packet into cache(and set mark)
        CopyMemory(@cache^[0],bp,len);
        cache_len:=len;
        cache_rest:=pkt_len-len;//bytecount of rest-packet
        cache_packet:=True;//cache full mark }
        i:=-1;//quit loop
        Continue;
      End;
    //start further packet checking procedure
    //call sub proc MPE_TCPIP_Scan
    if not stop_stream Then
      LiveInetClass.MPE_TCPIP_Scan(bp^[0],pkt_len-2);
  Until (i=-1);
End;

{ONLY BLIND-DATA TO HOLD NETSYSTEM'S BITFILTER ALIVE!!!}
procedure CallBlind(var buf;len_in:integer);stdcall;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with copymem/pointers!!!}
Begin
// Nothing to do ;)
End;

//only for other provider than EON (needed for CallBack2)
//CURRENTLY OUT OF ORDER!!!
procedure RepairCuttedData(p:PByteArray;var len:Integer;
  cutvalue:Byte);
const compare_value=$00;
var i,cv_half:Integer;
    b:Boolean;
Begin
  cv_half:=cutvalue DIV 2;
  i:=-1;
  Repeat
    b:=False;
    Repeat
      Inc(i);
      if //check first 2 bytes
         (p^[i]           =compare_value) And
         (p^[i+1]         =compare_value) And
         //check middle 5 bytes
         (p^[i+cv_half]   =compare_value) And
         (p^[i+cv_half+1] =compare_value) And
         (p^[i+cv_half+2] =compare_value) And
         (p^[i+cv_half+3] =compare_value) And
         (p^[i+cv_half+4] =compare_value) And
         //check last 2 bytes
         (p^[i+cutvalue-1]=compare_value) And
         (p^[i+cutvalue]  =compare_value) Then
        b:=True;
      //follows data next? if not set b to false
      if (p^[i+cutvalue+1]=compare_value) Then b:=False;
    Until b Or (i>=len-1-cutvalue);
    if b Then //"cutting" zero's out from data
      Begin
        MoveMemory(@p^[i],@p^[i+cutvalue+1],len-i-cutvalue);
        Dec(len,cutvalue+1);//correct length of data
      End;
  Until Not b;
End;

{DVB-Sat-Data-Input via CallBack2-procedure
IMPORTANT: THIS IS ONLY FOR OTHER PROVIDERS(TDSL & Astranet)}
procedure CallBack2(var buf;len_in:integer);stdcall;
var p:PByteArray;
    p3,p_dataend:Pointer;
//    p2:BytePointer;
    i,len_swork:Integer;
//    b:Boolean;
//    s_work:String;
{DO NOT CHANGE ANYTHING IF YOU DON'T KNOW WHAT THIS IS FOR!}
{Be careful with copymem/pointers!!!}
Begin
  //we have to prepair the input data for the "real"
  //CallBack procedure...
  p:=@buf;
  p_dataend:=@p^[len_in-1];
  len_swork:=len_in;
  i:=0;//not used now...
  Repeat
    //now should scan for the next "break" and remove it...
    //1st: find position
    p3:=StrPos(@p^[i],'=======>');
    //2nd: check if really found and in buffer-range...
    if (p3<>NIL) And (Dword(p3)<DWord(p_dataend)) Then
      Begin
        //update buffer-size (we are removeing 8 bytes!)
        Dec(len_swork,8);
        //move data to the position where we found the
        //break (and overwrite the "break")
        //for short: shift data 8 byte "upwards" in buf
        MoveMemory(p3,Pointer(DWord(p3)+8),
          DWord(p_dataend)-DWord(p3)+8);
      End;
  Until (p3=NIL) Or (Dword(p3)>DWord(p_dataend));
//LOOP-END
  CallBack(buf,len_swork);
End;

procedure TLiveInetClass.B_startClick(Sender: TObject);
var i:Integer;
    FilterData,FilterMask:Array [0..11] Of Byte;
    s:string;
begin
  T_status.Enabled:=True;
  LiveInetScanClass.B_scan.Enabled:=False;
//GB_source:
  B_setprov.Enabled:=False;
//GB_PID:
  B_start.Enabled:=False;
  B_stop.Enabled:=True;
  CkB_MAC.Enabled:=False;
  CkB_SupportFilter.Enabled:=False;
//GB_DIR:
  E_dir.Enabled:=False;
  E_dir.Color:=clBtnFace;
  E_dir.Font.Color:=clGray;
  E_outdir.Enabled:=False;
  E_outdir.Color:=clBtnFace;
  E_outdir.Font.Color:=clGray;
  E_incdir.Color:=clBtnFace;
  E_incdir.Font.Color:=clGray;
  E_incdir.Enabled:=False;
  B_Browse1.Enabled:=False;
  B_Browse2.Enabled:=False;
  CkB_incdir.Enabled:=False;
  CkB_Sort.Enabled:=False;
  CkB_fileinfo.Enabled:=False;
  CkB_csv.Enabled:=False;
//done
  s:=E_dir.Text;
  if s[Length(s)]<>'\' Then E_dir.Text:=s+'\';
  s:=E_outdir.Text;
  if s[Length(s)]<>'\' Then E_outdir.Text:=s+'\';
  s:=E_incdir.Text;
  if s[Length(s)]<>'\' Then E_incdir.Text:=s+'\';
  cache_packet:=False; //no packet in cache now...
  stop_stream:=False;//emergency streaming stop off
  showmsg_outofmem:=True;
  dbcount:=0;dbcount_limit:=0;
  filename:=0;filedone:=0;filetimeout:=0;filesizeerr:=0;
  outdircnt:=1;incdircnt:=1;//counters for multiple out-dirs
  pktcnt:=0;pktdef:=0;pktchksumerr:=0;pktuse:=0;
  http_cont:=0;
  //clean FTC
  For i:=0 to filetypes-1 Do
    FTC_Arr[i]:=0;
  cache2:='';//cleanup cache2 (may be we need it?)
  if CkB_fileinfo.Checked Then
    Begin
      AssignFile(f3,E_outdir.Text+'FileInfo.txt');
      Rewrite(f3);
      WriteLn(f3, msg_var_statfiletxta1+L_provider.Caption+
              '('+msg_var_statfiletxta2+L_freq.Caption+
              L_pol.Caption+';'+msg_var_statfiletxta3+
              E_PID.Text+')');
      WriteLn(f3,msg_var_statfiletxtb);
    End;
  if CkB_csv.Checked Then
    Begin
      AssignFile(f4,E_outdir.Text+'FileInfo.csv');
      Rewrite(f4);
      WriteLn(f4,msg_var_statfilecsv);
    End;
//DEBUG-START
  if CkB_DebugChkSum.Checked Then
    Begin
      Try{StartOfTry}
        debugfile1:=TFileStream.Create(E_outdir.Text+
          'Debug_ChkSum.bin',fmCreate Or fmShareDenyNone);
        debugfile1.Seek(0,soFromEnd);
      Except
        //we should only inform user that we can't create
        //debugfile --> no further actions!
        MessageDlg(msg_err_couldnotopen+#13+
          '"Debug_ChkSum.bin"', mtError,[mbOk],0);
      End; {EndOfTry}
    End;
//DEBUG-END
  if not CkB_MAC.Checked Then
    Begin
      if (format_nr=2) Then
        Begin
          //Astranet (it's necessary to use SETBITFILTER!)
          For i:=0 To 11 Do
            Begin //init filterarray to 0
              FilterData[i]:=$00;FilterMask[i]:=$00;
            End;
          i:=0;FilterData[i]:=$3E;FilterMask[i]:=$FF;
//          i:=9;FilterData[i]:=$D7;FilterMask[i]:=$FF;
//          i:=10;FilterData[i]:=$D0;FilterMask[i]:=$FF;
          i:=11;FilterData[i]:=$00;FilterMask[i]:=$FF;
          if not SetBitFilter(StrToInt(E_PID.Text),
            @FilterData[0],@FilterMask[0],12,@CallBack,@Filternum) Then
            Begin
              MessageDlg(msg_err_setfiltera,
                         mtError,[mbOk], 0);
              B_start.Enabled:=True;
              B_stop.Enabled:=False;
              if CkB_fileinfo.Checked Then CloseFile(f3);
              if CkB_csv.Checked Then CloseFile(f4);
              Exit;
            End;
{NEW          //Hmmm... SetBitfilter seems to make problems
          //with TT1.23b without a 'blindfilter'
          //Blindfilter at: PID 121 and MAC 01005E400079
          For i:=0 To 11 Do
            Begin //init filterarray to 0
              FilterData[i]:=$00;FilterMask[i]:=$00;
            End;
          i:=0;FilterData[i]:=$3E;FilterMask[i]:=$FF;
          i:=3;FilterData[i]:=$79;FilterMask[i]:=$FF;
          i:=4;FilterData[i]:=$00;FilterMask[i]:=$FF;
          i:=8;FilterData[i]:=$40;FilterMask[i]:=$FF;
          i:=9;FilterData[i]:=$5E;FilterMask[i]:=$FF;
          i:=10;FilterData[i]:=$00;FilterMask[i]:=$FF;
          i:=11;FilterData[i]:=$01;FilterMask[i]:=$FF;
          if not SetBitFilter(121,
            @FilterData[0],@FilterMask[0],12,@CallBlind,@Filternum2) Then
            Begin
              MessageDlg(msg_err_setfiltera,
                         mtError,[mbOk], 0);
              B_start.Enabled:=True;
              B_stop.Enabled:=False;
              DelFilter(Filternum);
              if CkB_fileinfo.Checked Then CloseFile(f3);
              if CkB_csv.Checked Then CloseFile(f4);
              Exit;
            End;  //}
        End
       Else
        Begin
          if not SetFilter(StrToInt(E_PID.Text),@CallBack,2,2,@Filternum) Then
            Begin
              MessageDlg(msg_err_setfilterb,
                         mtError,[mbOk], 0);
              B_start.Enabled:=True;
              B_stop.Enabled:=False;
              if CkB_fileinfo.Checked Then CloseFile(f3);
              if CkB_csv.Checked Then CloseFile(f4);
              Exit;
            End;
        End;
     End
    Else
     Begin
       if CkB_SupportFilter.Checked Then
         Begin //supportfilter for TT 1.23b
           For i:=0 To 11 Do
             Begin //init filterarray to 0
               FilterData[i]:=$00;FilterMask[i]:=$00;
             End;
           i:=0;FilterData[i]:=$3E;FilterMask[i]:=$FF;
           i:=3;FilterData[i]:=$11;FilterMask[i]:=$FF;
           i:=4;FilterData[i]:=$04;FilterMask[i]:=$FF;
           i:=8;FilterData[i]:=$61;FilterMask[i]:=$FF;
           i:=9;FilterData[i]:=$5E;FilterMask[i]:=$FF;
           i:=10;FilterData[i]:=$00;FilterMask[i]:=$FF;
           i:=11;FilterData[i]:=$01;FilterMask[i]:=$FF;
           if not SetBitFilter(1041,
             @FilterData[0],@FilterMask[0],12,@CallBlind,@Filternum2) Then
             Begin
               MessageDlg(msg_err_setfilterf,
                          mtError,[mbOk], 0);
               B_start.Enabled:=True;
               B_stop.Enabled:=False;
               if CkB_fileinfo.Checked Then CloseFile(f3);
               if CkB_csv.Checked Then CloseFile(f4);
               Exit;
             End;
         End;
       if (MACFilterCount>0) Then //reactivate MAC-filters
         For i:=1 To MACFilterCount Do
           if Not SetMACFilter(i) Then
             MessageDlg(msg_wng_setfiltere+IntToStr(i),
                        mtWarning,[mbOk], 0);
     End;
end;

function  TLiveInetClass.AddMACfilter(MAC:String):Boolean;
Begin
  Result:=False;
  if (MACFilterCount>=MAXMACFILTERCOUNT) Then
    Exit;//not possible: too many filters
  Inc(MACFilterCount);
  New(MACFilterList);
  MACFilterList^.nextentry:=NIL;
  if (firstMACFilter=NIL) Then
    Begin
      firstMACFilter:=MACFilterList;
      lastMACFilter:=MACFilterList;
    End
   Else
    Begin
      lastMACFilter^.nextentry:=MACFilterList;
      lastMACFilter:=MACFilterList;
    End;
  With MACFilterList^ Do
    Begin
      MACAddr[0]:=HexToInt(Copy(MAC, 1,2));
      MACAddr[1]:=HexToInt(Copy(MAC, 4,2));
      MACAddr[2]:=HexToInt(Copy(MAC, 7,2));
      MACAddr[3]:=HexToInt(Copy(MAC,10,2));
      MACAddr[4]:=HexToInt(Copy(MAC,13,2));
      MACAddr[5]:=HexToInt(Copy(MAC,16,2));
    End;
  Result:=True;
  if Not stop_stream Then
    Begin
      Result:=SetMACFilter(MACFilterCount);
      if Not Result Then
        DelMACFilter(MACFilterCount);
    End;
End;

function  TLiveInetClass.UpdMACFilter(MAC:String;nr:Integer):Boolean;
var i:Integer;
Begin
  Result:=False;
  //search for MACfilter with nr. "nr"
  MACFilterList:=firstMACFilter;
  i:=1;
  While (MACFilterList<>NIL) Do
    Begin
      if (i=nr) Then Break;
      Inc(i);
      MACFilterList:=MACFilterList^.nextentry;
    End;
  if (MACFilterList=NIL) Then Exit;
  //done/found
  With MACFilterList^ Do
    Begin
      MACAddr[0]:=HexToInt(Copy(MAC, 1,2));
      MACAddr[1]:=HexToInt(Copy(MAC, 4,2));
      MACAddr[2]:=HexToInt(Copy(MAC, 7,2));
      MACAddr[3]:=HexToInt(Copy(MAC,10,2));
      MACAddr[4]:=HexToInt(Copy(MAC,13,2));
      MACAddr[5]:=HexToInt(Copy(MAC,16,2));
    End;
  Result:=True;
  if Not stop_stream Then
    Begin
      ReleaseMACFilter(nr);
      Result:=SetMACFilter(nr);
    End;
End;

function  TLiveInetClass.SetMACFilter(nr:Integer):Boolean;
var i:Integer;
    FilterData,FilterMask:Array [0..11] Of Byte;
    FH:DWord;
Begin
  Result:=False;
  //search for MACfilter with nr. "nr"
  MACFilterList:=firstMACFilter;
  i:=1;
  While (MACFilterList<>NIL) Do
    Begin
      if (i=nr) Then Break;
      Inc(i);
      MACFilterList:=MACFilterList^.nextentry;
    End;
  if (MACFilterList=NIL) Then Exit;
  //done/found
  For i:=0 To 11 Do
    Begin //init filterarray to 0
      FilterData[i]:=$00;FilterMask[i]:=$00;
    End;
  With MACFilterList^ Do
    Begin
      i:= 0;FilterData[i]:=$3E;FilterMask[i]:=$FF;
      i:= 3;FilterData[i]:=MACAddr[5];FilterMask[i]:=$FF;
      i:= 4;FilterData[i]:=MACAddr[4];FilterMask[i]:=$FF;
      i:= 8;FilterData[i]:=MACAddr[3];FilterMask[i]:=$FF;
      i:= 9;FilterData[i]:=MACAddr[2];FilterMask[i]:=$FF;
      i:=10;FilterData[i]:=MACAddr[1];FilterMask[i]:=$FF;
      i:=11;FilterData[i]:=MACAddr[0];FilterMask[i]:=$FF;
    End;
  Result:=SetBitFilter(StrToInt(E_PID.Text),
    @FilterData[0],@FilterMask[0],12,@CallBack,@FH);
  MACFilterList^.Filterhandle:=FH;
End;

function  TLiveInetClass.DelMACFilter(nr:Integer):Boolean;
var i:Integer;
    ptemp:PT_MACFilterList;
Begin
  Result:=False;
  //search for MACfilter with nr. "nr"
  MACFilterList:=firstMACFilter;
  ptemp:=NIL;
  i:=1;
  While (MACFilterList<>NIL) Do
    Begin
      if (i=nr) Then Break;
      Inc(i);
      ptemp:=MACFilterList;
      MACFilterList:=MACFilterList^.nextentry;
    End;
  if (MACFilterList=NIL) Then Exit;
  //done/found
  Result:=True;
  if Not stop_stream Then
    Result:=ReleaseMACFilter(nr);
  //now we should do the important part of this function:
  if (ptemp<>NIL) Then
    //only if available; exception:first entry
    ptemp^.nextentry:=MACFilterList^.nextentry;
  if (MACFilterList=firstMACFilter) Then
    //be sure: first-elemet-pointer MUST be correct!
    firstMACFilter:=MACFilterList^.nextentry;
  MACFilterList^.nextentry:=NIL;//not really necessary...
  Dispose(MACFilterList);//free memory :)
  Dec(MACFilterCount);
End;

function  TLiveInetClass.ReleaseMACFilter(nr:Integer):Boolean;
var i:Integer;
    FH:DWord;
Begin
  Result:=False;
  //i know it's a duplicate! but we have to ensure that we
  //can kill the filter sperate from the list(stop-streaming)
  //BTW. we don't call the function every second ;)
  //
  //search for MACfilter with nr. "nr"
  MACFilterList:=firstMACFilter;
  i:=1;
  While (MACFilterList<>NIL) Do
    Begin
      if (i=nr) Then Break;
      Inc(i);
      MACFilterList:=MACFilterList^.nextentry;
    End;
  if (MACFilterList=NIL) Then Exit;
  //done/found
  FH:=MACFilterList^.Filterhandle;
  Result:=DelFilter(FH);
End;

procedure TLiveInetClass.B_saveClick(Sender: TObject);
var MainIni:TMemIniFile;
    f:TextFile;
    s:String;
    i,cnt,j,ver:Integer;
begin
  Getdir(0,s);
  if (s[Length(s)]<>'\') Then s:=s+'\';
  if FileExists(MainININame) Then
    Begin
      i:=0;
      MainIni:=TMemIniFile.Create(s+MainININame);
      ver:=MainIni.ReadInteger( 'Main','IniVersion',800);
      MainIni.Free;
      if (ver<900) Then //seem to be an old language ini...
        Begin //ask user...
          j:=MessageDlg(msg_wng_oldiniexists,
                mtWarning, [mbYes, mbNo, mbCancel], 0);
          Case j Of
            mrYes:i:=2;
            mrNo:i:=0;
            mrCancel:i:=1;
          Else
            i:=1;
          End;
        End;
      if (ver>LINETVersion) Then //seem to be a newer config ini...
        Begin //ask user...
          j:=MessageDlg(msg_wng_newiniexists,
                mtWarning, [mbYes, mbNo], 0);
          if (j=mrYes) Then
            i:=2
           Else
            i:=1;
        End;
      if (i=1) Then Exit;
    End
   Else
    i:=2;
  if (i=2) Then
    Begin
      AssignFile(f,s+MainININame);
      Rewrite(f);
      WriteLn(f,'[Main]');
      WriteLn(f,'#This is the config Ini-file for Linet');
      WriteLn(f,'#Your preferences are saved here ;)');
      WriteLn(f,'#Please DO NOT EDIT this file! (edit it '+
        'only if you know what you do!)');
      WriteLn(f,'#Use the "Save config"-button in Linet '+
        'to change/update this file!');
      WriteLn(f,'#');
      WriteLn(f,'#If you want to add a new language use '+
        'the new "Language.ini"');
      WriteLn(f,'#');
      CloseFile(f);
    End;
  ver:=LINETVersion;
  MainIni:=TMemIniFile.Create(s+MainININame);
  With MainIni Do
    Begin
      //section [Main]
      s:='Main';
      WriteInteger(s,'IniVersion',ver);
      WriteInteger(s,'LastLanguage',CbB_Lang.ItemIndex);
      cnt:=CbB_provider.Items.Count;
      WriteInteger(s,'ProviderCount',cnt);
      WriteInteger(s,'DVBCardType',DVBCardType);
      //section [SourceBox]
      s:='SourceBox';
      WriteInteger(s,'Provider',
        CbB_provider.ItemIndex);
      WriteInteger(s,'LOF1',
        StrToInt(LiveInetLOFClass.E_LOF1.Text));
      WriteInteger(s,'LOFSW',
        StrToInt(LiveInetLOFClass.E_LOFSW.Text));
      WriteInteger(s,'LOF2',
        StrToInt(LiveInetLOFClass.E_LOF2.Text));
      //section(s) [ProviderXY]
      if cnt>0 Then
        For i:=1 To cnt Do
          Begin
            s:='Provider'+Format('%.2u',[i]);
            WriteString(s,'Name',CbB_provider.Items[i-1]);
            WriteInteger(s,'Freq',StrToInt(LB_freq.Items[i-1]));
            WriteString(s,'Pol',LB_pol.Items[i-1]);
            WriteInteger(s,'Symb',StrToInt(LB_symb.Items[i-1]));
            WriteInteger(s,'PID',StrToInt(LB_PID.Items[i-1]));
            WriteInteger(s,'FEC',StrToInt(LB_FEC.Items[i-1]));
            WriteInteger(s,'Format',StrToInt(LB_Format.Items[i-1]));
            WriteString(s,'CutValue',LB_cut.Items[i-1]);
            WriteString(s,'DiSEqC',LB_DiSEqC.Items[i-1]);
          End;
      //section [StreamBox]
      s:='StreamBox';
      WriteBool(s,'UseMACFilter',CkB_MAC.Checked);
      WriteBool(s,'UseSupportFilter',
        CkB_SupportFilter.Checked);
      //section [SpeedBox]
      s:='SpeedBox';
      WriteBool(s,'DontDisplayStat',CkB_displaystat.Checked);
      WriteBool(s,'DontUpdateDisplay',CkB_dontup.Checked);
      //section [DirBox]
      s:='DirBox';
      WriteString(s,'WorkDirectory',E_dir.Text);
      WriteString(s,'OutDirectory',E_outdir.Text);
      WriteBool(s,'UseIncompleteDirectory',
        CkB_incdir.Checked);
      WriteString(s,'IncompleteDirectory',E_incdir.Text);
      WriteBool(s,'SortFilesInDirectories',CkB_sort.Checked);
      WriteBool(s,'WriteFileListTXT',CkB_fileinfo.Checked);
      WriteBool(s,'WriteFileListCSV',CkB_csv.Checked);
      //section [FileTypesBox]
      s:='FileTypesBox';
      cnt:=Filetypelist[-1];
      WriteInteger(s,'FileTypesCount',cnt);
      if cnt>0 Then
        For i:=1 To cnt Do
          WriteInteger(s,Format('%.2u',[i]),
            Filetypelist[i-1]);
      WriteBool(s,'UseFTC',UseFTC_on);
      //section [FileBox]
      s:='FileBox';
      WriteBool(s,'UseMinFile',CkB_minfile.Checked);
      WriteInteger(s,'MinFileSize',StrToInt(E_minfile.Text));
      WriteBool(s,'UseMaxFile',CkB_maxfile.Checked);
      WriteInteger(s,'MaxFileSize',StrToInt(E_maxfile.Text));
      WriteBool(s,'DontWriteUnknown',CkB_uknfile.Checked);
      WriteBool(s,'UseFileTimeout',CkB_timeout.Checked);
      WriteInteger(s,'FileTimeout',StrToInt(E_timeout.Text));
      //section [ExpertBox]
      s:='ExpertBox';
      WriteBool(s,'LimitFilelist',
        CkB_LimitFilelist.Checked);
      WriteInteger(s,'FilelistSize',
        StrToInt(E_LimitFilelist.Text));
      WriteBool(s,'ChksumOff',
        CkB_chksumoff.Checked);
      WriteBool(s,'AutoServerKillOff',
        CkB_SrvKillOff.Checked);
      WriteBool(s,'AutoWorkDirCleanOff',
        CkB_AutoWorkCleanOff.Checked);
    End;
  MainIni.UpdateFile;
  MainIni.Free;
end;

procedure TLiveInetClass.B_removeClick(Sender: TObject);
var s:String;
begin
  if MessageDlg(msg_cfm_deleteconfig,
    mtConfirmation,[mbYes,mbNo],0)=mrYes Then
  Begin
    Getdir(0,s);
    if (s[Length(s)]<>'\') Then s:=s+'\';
    if FileExists(s+MainININame) Then
      DeleteFile(s+MainININame);
  End;
end;

procedure TLiveInetClass.B_delClick(Sender: TObject);
var i:Integer;
begin
  i:=CbB_provider.ItemIndex;
  if i=-1 Then
    Begin
      ShowMessage(msg_err_selectprovider);
      Exit;
    End;
  CbB_provider.Items.Delete(i);
  LB_freq.Items.Delete(i);
  LB_pol.Items.Delete(i);
  LB_symb.Items.Delete(i);
  L_provider.Caption:=msg_var_notavailable;
  L_freq.Caption:=msg_var_notavailable;
  L_pol.Caption:=msg_var_notavailable;
  L_symb.Caption:=msg_var_notavailable;
  E_PID.Text:='0';
  L_FEC.Caption:=msg_var_notavailable;
  L_Format.Caption:=msg_var_notavailable;
  L_cut.Caption:=msg_var_notavailable;
  L_DiSEqC.Caption:=msg_var_notavailable;
  L_DiSEqC_opt.Caption:=msg_var_notavailable;
end;

procedure TLiveInetClass.T_statusTimer(Sender: TObject);
var i,ti:Integer;
begin
  if Not displaystat_off Then
    Begin
      UpdateStatus(pktcnt,pktdef,pktuse,filename,filedone,
        filetimeout,filesizeerr);
      if UseFTC_on Then
        Begin
          ti:=LB_FileTypesCnt.TopIndex;
          LB_FileTypesCnt.Visible:=False;
          For i:=filetypes-1 DownTo 0 Do
            LB_FileTypesCnt.Items[i]:=IntToStr(FTC_Arr[i]);
          LB_FileTypesCnt.TopIndex:=ti;
          LB_FileTypesCnt.Visible:=True;
        End;
    End;
  if Not updateform_off Then Update;
end;

procedure TLiveInetClass.FormDestroy(Sender: TObject);
var hnd:THandle;
begin
  //remove self-created lists...
  CkLB_filetypes.Free;
  LB_FileTypesCnt.Free;
  //done
  //free MAC-filter-list
  MACFilterList:=firstMACFilter;
  While (MACFilterList<>NIL) Do
    Begin
      firstMACFilter:=MACFilterList;
      MACFilterList:=MACFilterList^.nextentry;
      Dispose(firstMACFilter);
    End;
  MACFilterList:=NIL;
  //done
  kill_application:=True;
  if B_stop.Enabled Then
    B_stop.Click;
  if Not B_startdvb.Enabled Then StopDVB;
  //We have to free the cache-memory:
  FreeMem(cache);
  //free ini-objects (if exist)
  UnLoadIni;
  //deactivate API-interface
  UnLoadAPI;
  //kill TT-DVB-Server if exists (only driverversion 1.23b)
  hnd:=FindWindow(NIL,'TT-DVBsat PCI DVB Server');
  if (hnd<>0) And Not CkB_SrvKillOff.Checked Then
    PostMessage(hnd,WM_CLOSE,0,0);
end;

procedure TLiveInetClass.CkB_MACClick(Sender: TObject);
begin
  if CkB_MAC.Checked Then
    Begin
      B_MACScan.Enabled:=True;
      CkB_SupportFilter.Enabled:=True;
    End
   Else
    Begin
      B_MACScan.Enabled:=False;
      CkB_SupportFilter.Enabled:=False;
    End;
end;

procedure TLiveInetClass.CkB_minfileClick(Sender: TObject);
begin
  if CkB_minfile.Checked Then
    Begin
      minfile_on:=True;
      E_minfile.Color:=clWhite;
      E_minfile.Font.Color:=clOlive;
      E_minfile.Enabled:=True;
      try
        minfilesize:=StrToInt(E_minfile.Text);
      except
      end;
    End
   Else
    Begin
      minfile_on:=False;
      E_minfile.Enabled:=False;
      E_minfile.Color:=clBtnFace;
      E_minfile.Font.Color:=clGray;
    End;
end;

procedure TLiveInetClass.CkB_maxfileClick(Sender: TObject);
begin
  if CkB_maxfile.Checked Then
    Begin
      maxfile_on:=True;
      E_maxfile.Color:=clWhite;
      E_maxfile.Font.Color:=clOlive;
      E_maxfile.Enabled:=True;
      try
        maxfilesize:=StrToInt(E_maxfile.Text);
      except
      end;
    End
   Else
    Begin
      maxfile_on:=False;
      E_maxfile.Enabled:=False;
      E_maxfile.Color:=clBtnFace;
      E_maxfile.Font.Color:=clGray;
    End;
end;

procedure TLiveInetClass.E_lofKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetClass.B_Browse1Click(Sender: TObject);
var dir:String;
begin
  dir:='C:\';
  if SelectDirectory(msg_var_chooseworkdir, '', dir) Then
    Begin
      if (dir[Length(dir)]<>'\') Then dir:=dir+'\';
      E_dir.Text:=dir;
    End;
end;

procedure TLiveInetClass.B_Browse2Click(Sender: TObject);
var dir:String;
begin
  dir:='C:\';
  if SelectDirectory(msg_var_chooseoutdir, '', dir) Then
    Begin
      if (dir[Length(dir)]<>'\') Then dir:=dir+'\';
      E_outdir.Text:=dir;
    End;
end;

procedure TLiveInetClass.E_PIDKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End;
end;

procedure TLiveInetClass.E_minfileKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End
   Else
    try
      minfilesize:=StrToInt(E_minfile.Text);
    except
    end;
end;

procedure TLiveInetClass.E_maxfileKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End
   Else
    try
      maxfilesize:=StrToInt(E_maxfile.Text);
    except
    end;
end;

procedure TLiveInetClass.SB_ExitClick(Sender: TObject);
begin
  Close;
end;

procedure TLiveInetClass.B_EditClick(Sender: TObject);
begin
  Param_Dialog2:=CbB_provider.ItemIndex;
  if Param_Dialog2=-1 Then
    Begin
      ShowMessage(msg_err_selectprovider);
      Exit;
    End;
  Param_Dialog:=1;
  LiveInetAddClass.Show;
end;

procedure TLiveInetClass.CkB_LimitFilelistClick(Sender: TObject);
begin
  if CkB_LimitFilelist.Checked Then
    Begin
      limitfilelist_on:=True;
      E_LimitFilelist.Color:=clWhite;
      E_LimitFilelist.Font.Color:=clGreen;
      E_LimitFilelist.Enabled:=True;
      try
        filelistsize:=StrToInt(E_LimitFileList.Text);
      except
      end;
    End
   Else
    Begin
      limitfilelist_on:=False;
      E_LimitFilelist.Enabled:=False;
      E_LimitFilelist.Color:=clBtnFace;
      E_LimitFilelist.Font.Color:=clGray;
    End;
end;

procedure TLiveInetClass.E_LimitFilelistKeyPress(Sender: TObject;
  var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End
   Else
    try
      filelistsize:=StrToInt(E_LimitFileList.Text);
    except
    end;
end;

procedure TLiveInetClass.B_MACScanClick(Sender: TObject);
begin
  LiveInetScanClass.Show;
end;

procedure TLiveInetClass.CkB_uknfileClick(Sender: TObject);
begin
  uknsize_off:=CkB_uknfile.Checked;
end;

procedure TLiveInetClass.CkB_chksumoffClick(Sender: TObject);
begin
  chksum_on:=Not CkB_chksumoff.Checked;
end;

procedure TLiveInetClass.B_LOFClick(Sender: TObject);
begin
  LiveInetLOFClass.Show;
end;

procedure TLiveInetClass.CkB_timeoutClick(Sender: TObject);
begin
  if CkB_timeout.Checked Then
    Begin
      T_Filetimeout.Enabled:=True;
      E_timeout.Color:=clWhite;
      E_timeout.Font.Color:=clMaroon;
      E_timeout.Enabled:=True;
      try
        T_Filetimeout.Interval:=StrToInt(E_timeout.Text)*1000;
      except
        T_Filetimeout.Interval:=240000;
      end;
      if T_Filetimeout.Interval<20000 Then
        T_Filetimeout.Interval:=240000;
      T_Filetimeout.Enabled:=False;
      T_Filetimeout.Enabled:=True;
    End
   Else
    Begin
      T_Filetimeout.Enabled:=False;
      E_timeout.Enabled:=False;
      E_timeout.Color:=clBtnFace;
      E_timeout.Font.Color:=clGray;
    End;
end;

procedure TLiveInetClass.E_timeoutKeyPress(Sender: TObject; var Key: Char);
begin
  if ((Ord(key)<48) Or (Ord(key)>57)) And (key<>#8) Then
    Begin
      ShowMessage(msg_err_onlydigits);
      key:=#0; //delete key value
    End
   Else
    Begin
      try
        T_Filetimeout.Interval:=StrToInt(E_timeout.Text)*1000;
      except
        T_Filetimeout.Interval:=240000;
      end;
      if T_Filetimeout.Interval<20000 Then
        T_Filetimeout.Interval:=240000;
      T_Filetimeout.Enabled:=False;
      T_Filetimeout.Enabled:=True;
    End;
end;

procedure TLiveInetClass.E_timeoutExit(Sender: TObject);
begin
  if StrToInt(E_timeout.Text)<20 Then
    Begin
      E_timeout.SetFocus;
      ShowMessage(msg_err_mintimeut);
    End;
end;

procedure TLiveInetClass.T_FiletimeoutTimer(Sender: TObject);
var fn,s:String;//filename
    entry,entry2,lastdelentry:PT_File_Info;
    MACentry:PT_MAC_Info;
Begin
  //INFO: I am using this simple timeout-method to save
  //      necessary process-time...
  //
  //Delete entries and move/delete files:
  //WARNING: This function is used by "B_Stop", too!
  //         (and of course indirectly by "OnDestroy"!!!) 
  entry:=firstdelentry;
  firstdelentry:=NIL;
  While (entry<>NIL) Do
    Begin
      entry2:=entry;
      entry:=entry^.nextdelentry;
      fn:=HexLong(entry2^.filename)+'.'+filetype[entry2^.fileext];
      if CkB_incdir.Checked Then
        Begin
          s:=E_incdir.Text;
          //check if more than one inc-dir exists and use it...
          if incdircnt>1 Then
            Begin
              //its not optimal, but its simple (remove "\") we
              // have to add a number to the directory-name
              if (s[Length(s)]='\') Then
                s:=Copy(s,1,Length(s)-1);
              s:=s+IntToStr(incdircnt)+'\';
            End;
          //Add filename to s
          s:=s+fn;
          if FileExists(s) Then DeleteFile(s);
          if RenameFile(E_dir.Text+fn,s) Then ;
          if ((filetimeout DIV 32000)>incdircnt-1) Then
            Begin
              //Inc-dir seem to be full (32000(max32767)
              //files(W9x/ME))
              //We have to be sure that the directory is
              //not really full (767 files are free)
              s:=E_incdir.Text;
              if (s[Length(s)]='\') Then
                s:=Copy(s,1,Length(s)-1);
              Inc(incdircnt);
              s:=s+IntToStr(incdircnt);
              //We should make a new directory (if it doesn't
              //exist)
              If Not DirectoryExists(s) Then
                Mkdir(s);
            End;
        End
       Else
        DeleteFile(E_dir.Text+fn);
      Dispose(entry2);
    End;
  //entries/files disposed/deleted(or moved)
  //
  //unlink old and choose new timeout-candidates
  MACentry:=lastMAClistentry;
  While (MACentry<>NIL) Do
    Begin
      entry:=MACentry^.filelistend;
      While (entry<>NIL) Do
        Begin
          if entry^.timeout Then
            Begin
              //next OnTimer event disposes entries from
              //delentrylist... (now we should only unlink
              //entries and add them to the delentrylist)
              //
              //unlink entry from mainlist first...
              DelFileListEntry(entry,False);
              //add entry to timeoutlist (delentrylist)
              if (firstdelentry=NIL) Then
                Begin
                  //no list now... (we have to begin it)
                  firstdelentry:=entry;
                  lastdelentry:=firstdelentry;
                End
               Else
                Begin
                  //link current entry to lastone
                  lastdelentry^.nextdelentry:=entry;
                  //OOOPS... i forgot this line in v9.02
                  //really sorry for that...
                  //(without thid line the timeout-files won't
                  // be deleted/freed in the next call)
                  //set new last-entry-pointer
                  lastdelentry:=lastdelentry^.nextdelentry;
                  //force list end again (only to be sure)
                  entry^.nextdelentry:=NIL;
                End;
              //update timout-counter
              Inc(filetimeout);
            End;
          //set timeout (reset will follow only if a new
          //packet for this file is received (see MPE...))
          entry^.timeout:=True;
          //previous fileentry...
          entry:=entry^.preventry;
        End;
      //previous MAClist entry...
      MACentry:=MACentry^.preventry;
    End;
end;

procedure TLiveInetClass.SB_LangClick(Sender: TObject);
begin
  SB_Lang.Visible:=False;
  CbB_Lang.Visible:=True;
  CbB_Lang.SetFocus;
end;

procedure TLiveInetClass.CbB_LangChange(Sender: TObject);
begin
  CbB_Lang.Visible:=False;
  SB_Lang.Visible:=True;
  L_Lang.Caption:=CbB_Lang.Items[CbB_Lang.ItemIndex];
  Translate_LiveInet;
  Translate_LiveInetAdd;
  Translate_LiveInetLOF;
  Translate_LiveInetCredits;
  Translate_LiveInetScan;
end;

procedure TLiveInetClass.CbB_LangExit(Sender: TObject);
begin
  CbB_Lang.Visible:=False;
  SB_Lang.Visible:=True;
end;

procedure TLiveInetClass.CkB_incdirClick(Sender: TObject);
begin
  if CkB_incdir.Checked Then
    Begin
      E_incdir.Color:=clWhite;
      E_incdir.Font.Color:=clBlue;
      E_incdir.Enabled:=True;
    End
   Else
    Begin
      E_incdir.Enabled:=False;
      E_incdir.Color:=clBtnFace;
      E_incdir.Font.Color:=clGray;
    End;
end;

procedure TLiveInetClass.B_selallClick(Sender: TObject);
var i:Integer;
begin
  For i:=0 To filetypes-1 Do
    CkLB_filetypes.Checked[i]:=True;
  CkLB_filetypes.OnClickCheck(Sender);
end;

procedure TLiveInetClass.B_selnoneClick(Sender: TObject);
var i:Integer;
begin
  For i:=0 To filetypes-1 Do
    CkLB_filetypes.Checked[i]:=False;
  CkLB_filetypes.OnClickCheck(Sender);
end;

procedure TLiveInetClass.RB_TTDVBClick(Sender: TObject);
begin
  DVBCardType:=0;
end;

procedure TLiveInetClass.RB_B2C2Click(Sender: TObject);
begin
  DVBCardType:=1;
end;

procedure TModifiedListBox.VScrollExec(var Message:TMessage);
Begin
  if Assigned(OnVScroll) Then OnVScroll(Self,Message.WParamLo,
    Message.WParamHi);
End;

procedure TCustomCheckListBox.VScrollExec(var Message:TMessage);
Begin
  if Assigned(OnVScroll) Then OnVScroll(Self,Message.WParamLo,
    Message.WParamHi);
End;

procedure TLiveInetClass.CkLB_filetypescountOnVScroll(Sender: TObject;
  scrollvalue,npos:Integer);
var i,linecnt:Integer;
begin
  //we have to sync the two listboxes...
  //calc number of displayed lines...
  linecnt:=LB_FileTypesCnt.Height DIV
    LB_FileTypesCnt.ItemHeight;
  //get current topindex...
  i:=LB_FileTypesCnt.TopIndex;
  Case scrollvalue Of
    SB_LINEUP       :Dec(i);
    SB_LINEDOWN     :Inc(i);
    //don't work correctly: SB_TOP,SB_ENDSCROLL
    //good message: we don't need it ;)
    SB_PAGEUP       :Dec(i,linecnt);
    SB_PAGEDOWN     :Inc(i,linecnt);
    SB_THUMBPOSITION:i:=npos;
    SB_THUMBTRACK   :i:=npos;
  End;
  //correct extreme values (min & max)
  if (i<0) Then i:=0;
  if (i>LB_FileTypesCnt.Items.Count-linecnt) Then
    i:=LB_FileTypesCnt.Items.Count-linecnt;
  //done
  //set new calculated indexes :)
  LB_FileTypesCnt.TopIndex:=i;
  CkLB_filetypes.TopIndex:=i;
  //all done...
end;

procedure TLiveInetClass.CkLB_filetypesOnVScroll(Sender: TObject;
  scrollvalue,npos:Integer);
var i,linecnt:Integer;
begin
  //we have to sync the two listboxes...
  //calc number of displayed lines...
  linecnt:=CkLB_filetypes.Height DIV
    CkLB_filetypes.ItemHeight;
  //get current topindex...
  i:=CkLB_filetypes.TopIndex;
  Case scrollvalue Of
    SB_LINEUP       :Dec(i);
    SB_LINEDOWN     :Inc(i);
    //don't work correctly: SB_TOP,SB_ENDSCROLL
    //good message: we don't need it ;)
    SB_PAGEUP       :Dec(i,linecnt);
    SB_PAGEDOWN     :Inc(i,linecnt);
    SB_THUMBPOSITION:i:=npos;
    SB_THUMBTRACK   :i:=npos;
  End;
  //correct extreme values (min & max)
  if (i<0) Then i:=0;
  if (i>CkLB_filetypes.Items.Count-linecnt) Then
    i:=CkLB_filetypes.Items.Count-linecnt;
  //done
  //set new calculated indexes :)
  CkLB_filetypes.TopIndex:=i;
  LB_FileTypesCnt.TopIndex:=i;
  //all done...
end;

procedure TLiveInetClass.L_FTCClick(Sender: TObject);
begin
  UseFTC_on:=Not UseFTC_on;
  if UseFTC_on Then
    Begin
      LB_FileTypesCnt.Visible:=True;
      L_FTC.Font.Color:=clWhite;
      With CkLB_filetypes Do
        Begin
          Left:=40;
          Width:=193;
        End;
    End
   Else
    Begin
      LB_FileTypesCnt.Visible:=False;
      L_FTC.Font.Color:=clGrayText;
      With CkLB_filetypes Do
        Begin
          Left:=8;
          Width:=225;
        End;
    End;
end;

procedure TLiveInetClass.CkB_dontupClick(Sender: TObject);
begin
  updateform_off:=CkB_dontup.Checked;
end;

procedure TLiveInetClass.CkB_displaystatClick(Sender: TObject);
begin
  displaystat_off:=CkB_displaystat.Checked;
end;

end.
